Contents

Notes on Using the VB Client OCX

Documentation

VB Interface Commands

VB Interface Functions

VB Interface Event Trigger Subroutines *

Equivalent DynaComm Script Commands

Equivalent DynaComm Script Functions

Error Return Values

Application Example

Defined Constants (DCSCONST.BAS)

* event trigger subroutines do not have equivalent DynaComm Script commands


Documentation

The online documentation for the VB Interface consists of the Readme file and this Help file (which includes syntax reference, DCS script equivalents, an application example, and the text of the Constants Definition file).


Notes on Using the VB Client

Notes on Using the VB Client OCX

The VB Client OCX must be registered before it can be used with DCS. If the Registry is locked, the OCX cannot be registered. Therefore, make sure the registry is not locked before installing the VB Client OCX.


VB Interface Commands

See also Equivalent DynaComm Script Commands

Type | Syntax Command(type parameter1, type parameter2, etc.)
Boolean | BinaryTransfer(short Action, BSTR FileName, short Remote, BSTR Mode, BSTR CRLF, BSTR DestinationFile, BSTR Append, long WindowHandle)
Boolean | Clear(Boolean ScreenOnly, long WindowHandle)
Short | CompileScript(BSTR ScriptName)
Boolean | ConfigureApp(BSTR Attribute, long WindowHandle)
Boolean | ConfigureConnector(BSTR Attribute, long WindowHandle)
Boolean | ConfigureDisplay(BSTR Attribute, long WindowHandle)
Boolean | ConfigureEmulation(BSTR Attribute, long WindowHandle)
Boolean | ConfigureGeneral(BSTR Attribute, long WindowHandle)
Boolean | ConfigureTransfer(BSTR Attribute, long WindowHandle)
Boolean | Connect(BSTR SessionFile, long WindowHandle)
Boolean | Copy(BSTR SourceString, long WindowHandle)
Boolean | CopySpecial(short Destination, short Format, Boolean InvertImage, BSTR FileName, long WindowHandle)
Boolean | Disconnect(long WindowHandle)
Boolean | Display(short Row, short Column, BSTR String, Boolean CROnly, long WindowHandle)
Boolean | DropDTR(short DelayLength)
Short | ExecuteScript(BSTR ScriptName, long WindowHandle)
Boolean | Exit()
Short | FileClose(long WindowHandle)
Short | FilePause(long WindowHandle)
Short | FileResume(long WindowHandle)
Boolean | HideToolbar(BSTR Attribute)
Boolean | Initialize()
Boolean | KermitCopy(BSTR Source, BSTR Destination, long WindowHandle)
Boolean | KermitDirectory(BSTR Directory, long WindowHandle)
Boolean | KermitErase(BSTR FileName, long WindowHandle)
Boolean | KermitFinish(long WindowHandle)
Boolean | KermitFreeSpace(long WindowHandle)
Boolean | KermitHelp(BSTR HelpTopic, long WindowHandle)
Boolean | KermitLogout(long WindowHandle)
Boolean | KermitMessage(BSTR Receiver, BSTR Message, long WindowHandle)
Boolean | KermitNewDirecotry(BSTR DirectoryName, long WindowHandle)
Boolean | KermitRename(BSTR OldFile, BSTR NewFile, long WindowHandle)
Boolean | KermitType(BSTR FileName, long WindowHandle)
Boolean | KermitWho(BSTR UserName, long WindowHandle)
Boolean | KeymapSettings(short Process, BSTR FileName, long WindowHandle)
Short | LogToFile(BSTR FileName, long WindowHandle)
Boolean | MakeAppVisible(short Visible)
Boolean | MapKey(short OldModifier, short OldKey, Boolean AsString, short Modifier, short Key, BSTR String, long WindowHandle)
Boolean | Menu()
Boolean | MenuCancel()
Boolean | MenuDeleteItem()
Boolean | MenuDeletePopup()
Short | MenuEnd()
Boolean | MenuInsertItem(short SystemMenu, short MenuItem, short Index, BSTR Caption, short EnabledState, Boolean IsChecked, short CommandTrigger)
Boolean | MenuInsertPopup(short SystemMenu, BSTR Caption)
Boolean | MenuItem(short Index, BSTR Caption, short EnabledState, Boolean IsChecked, short CommandTrigger)
Boolean | MenuPopup(short SysemMenu, BSTR Caption)
Boolean | MenuSeparator()
Boolean | MenuUpdate(short SystemMenu, short ItemNumber, BSTR NewCaption, short EnabledState, Boolean IsChecked)
Boolean | Paste(long WindowHandle)
Boolean | PrintSession(short State, long WindowHandle)
Short | Resume()
Boolean | Save(BSTR FileName, long WindowHandle)
Boolean | Scroll(short Direction, short NumCharacters, long WindowHandle)
Boolean | Selection(short BeginningRow, short EndingRow, long WindowHandle)
Boolean | SelectionBuffer(long WindowHandle)
Boolean | SelectionPrint(long WindowHandle)
Boolean | SelectionSave(BSTR FileName, Boolean AppendFile, Boolean IsTable, long WindowHandle)
Boolean | SelectionSend(long WindowHandle)
Boolean | SendBreak(short DelayLength, long WindowHandle)
Boolean | SendString(short NOCR, short OnePacket, short WaitEcho, BSTR String, short Row, short Column, long WindowHandle)
Short | SetBinaryXfers(long Protocol, long WindowHandle)
Short | SetConnection(BSTR Connection, BSTR Command, long WindowHandle)
Short | SetDirectory(short DirectorySetting, BSTR lpszNewDirectory, short Create)
Short | SetEmulation(BSTR Emulation, long WindowHandle)
Boolean | SetKeyboard(short State, long WindowHandle)
Short | SetWildCard(BSTR any, BSTR all)
Short | SetWindowTitle(BSTR Title, long WindowHandle)
Boolean | SetXDelay(short Type, BSTR DelayTime, long WindowHandle)
Boolean | ShowPropertySheet(short PropertySet, long WindowHandle)
Boolean | ShowToolbar(BSTR Attribute)
Short | StopScript(BSTR ScriptName, long WindowHandle)
Boolean | UnInitialize()
Short | WaitChar(BSTR Char, long WindowHandle)
Short | WaitCollect(BSTR WaitUntil, BSTR WaitExclude, long StringLength, boolean SaveCR, boolean NoTerminal, long WindowHandle)
Short | WaitEcho(long WindowHandle)
Short | WaitPrompt(short NumChar, long WindowHandle)
Short | WaitQuiet(BSTR Time, long WindowHandle)
Short | WaitScreen(long WindowHandle)
Short | WaitString(BSTR EventString, BSTR WuietTime, long WindowHandle)
Long | WaitStringsArray(variant Array of Strings, long Timeout, long windowHandle)
Boolean | WaitSystemReady(long milliseconds, long WindowHandle)
Short | WhenCancelDisconnect(long WindowHandle)
Short | WhenCancelEcho(long WindowHandle)
Short | WhenCancelInput(long WindowHandle)
Short | WhenCancelQuiet(long WindowHandle)
Short | WhenCancelScreen(short sIndex, long WindowHandle)
Short | WhenCancelString(short sIndex, long WindowHandle)
Short | WhenCollect(short Index, BSTR OnStr, BSTR OffStr, BSTR FromStr, BSTR ToStr, BSTR WaitExclude, short Quiet, short Limit, boolean SaveCR, boolean NoTerminal, logn WindowHandle)
Short | WhenDisconnect(long WindowHandle)
Short | WhenEcho(long WindowHandle)
Short | WhenInput(long WindowHandle)
Short | WhenQuiet(BSTR Timer, long WindowHandle)
Short | WhenScreen(short sIndex, short sRow, short sCol, short sWid, short sLns, long WindowHandle)
Short | WhenString(short sIndex, BSTR EventString, long WindowHandle)
Boolean | WindowClose(long WindowHandle)
Boolean | WindowMessage(long MessageID, long wParam, long lParam, long WindowHandle)
Boolean | WindowMove(short XPos, short YPos, short Width, short Height, long WindowHandle)
Long | WindowOpen(short Type, BSTR FileName, Boolean ReadOnly, short XPos, short YPos, short Width, short Height)
Boolean | WindowOrder(short Type)
Boolean | WindowSetActive(long WindowHandle)
Boolean | WindowSetState(short NewStyle, long WindowHandle)


VB Interface Functions

See also Equivalent DynaComm Script Functions

Type

Syntax Function(type parameter1, type parameter2, etc.)

Long | CursorPosition(long WindowHandle)
Boolean | DCSError()
Short | FieldInfo(short RequestType, short FieldNumber, short FieldRow, short FieldColumn, long WindowHandle)
BSTR | GetAppConfig(BSTR pString)
BSTR | GetConnectorConfig(BSTR Attribute, long WindowHandle)
BSTR | GetDirectory(short DirectorySetting)
BSTR | GetDisplayConfig(BSTR Attribute, long WindowHandle)
Short | GetEmulationTerminalKeysList(variant KeysList, long WindowHandle)
BSTR | GetEmulationConfig(BSTR Attribute, long WindowHandle)
BSTR | GetGeneralConfig(BSTR Attribute, long WindowHandle)
BSTR | GetIdentity(short ObjectType, long WindowHandle)
Short | GetScreenHeight(long WindowHandle)
Short | GetScreenWidth(long WindowHandle)
BSTR | GetTransferConfig(BSTR Attribute, long WindowHandle)
BSTR | GetWindowTitle(long WindowHandle) short WindowType(long WindowHandle)
BSTR | HandleList(short StartingPosition)
Boolean | IsChildWindow(long WindowHandle)
Boolean | IsConnected(long WindowHandle)
Boolean | IsIconic(long WindowHandle)
Boolean | IsMenuChecked(short PopupNumber, short ItemNumber)
Boolean | IsMenuEnabled(short PopupNumber, short ItemNumber)
Boolean | IsSystemReady(long Interval, long WindowHandle)
Boolean | IsWindowVisible(long WindowHandle)
Boolean | IsZoomed(long WindowHandle)
BSTR | RetrieveScreen(short Row, short Column, short Length, long WindowHandle)
Short | Search(short Mode, BSTR SearchString, short Row, short Column, short SearchLength, short LastRow, short LastColumn, long WindowHandle)
BSTR | SystemSettings()
Long | WindowFind(BSTR WindowName)
Long | WindowGetActive()
BSTR | WindowPosition(Boolean FrameCoordinates, long WindowHandle)


Event Trigger Subroutines

VB Interface Event Trigger Subroutines

See the Application Example for an example of event trigger subroutine use.

Type

Syntax EventTriggerSubroutine(type parameter1, type parameter2, etc.)

Note: The event return routines do not have an equivalent DynaComm Script Command or Function. These are used in the VB program to receive the notification that an event of "type" has occurred. You must match the triggered event with the correct instance of the type if more than one of the type is active.

Void | DCSTerminated()
Void | MenuItem(short Index, long WindowHandle)
Void | WaitCollect(BSTR* CollectString, long WindowHandle)
Void | WhenCancelCollect(short nIndex, boolean bTimeout, BSTR pCollectBuffer, long lPara)
Void | WhenCollect(short Index, boolean Timeout, BSTR CollectBuffer, long WindowHandle)
Void | WhenDisconnect(long WindowHandle)
Void | WhenEcho(long WindowHandle)
Void | WhenInput(long WindowHandle)
Void | WhenQuiet(long WindowHandle)
Void | WhenScreen(short Index, long WindowHandle)
Void | WhenString(short Index, long WindowHandle)


Equivalent DynaComm Script Commands

VB Interface Syntax Equivalent DCS Script command

Boolean BinaryTransfer | File Receive Binary File Send Binary
Boolean Clear | Clear
Short CompileScript | Compile
Boolean ConfigureApp | AppConfig
Boolean ConfigureConnector | ConnConfig
Boolean ConfigureDisplay | DisplayConfig
Boolean ConfigureEmulation | EmulConfig
Boolean ConfigureGeneral | GeneralConfig
Boolean ConfigureTransfer | XferConfig
Boolean Connect | Connect
Boolean Copy | Edit Copy
Boolean CopySpecial | Edit Copyspecial
Boolean Disconnect | Disconnect
Boolean Display | Display
Boolean DropDTR | DropDTR
Short ExecuteScript | Execute
Boolean Exit | Quit
Short FileClose | File Close
Short FilePause | File Pause
Short FileResume | File Resume
Boolean HideToolbar | ToolbarHide
Boolean Initialize | no equivalent
Boolean KermitCopy | Kermit Copy
Boolean KermitDirectory | Kermit Directory
Boolean KermitErase | Kermit Erase
Boolean KermitFinish | Kermit Finish
Boolean KermitFreeSpace | Kermit Freespace
Boolean KermitHelp | Kermit Help
Boolean KermitLogout | Kermit Logout
Boolean KermitMessage | Kermit Message
Boolean KermitNewDirecotry | Kermit Newdirectory
Boolean KermitRename | Kermit Rename
Boolean KermitType | Kermit Type
Boolean KermitWho | Kermit Who
Boolean KeymapSettings | Keymap Save Keymap Load Keymap Reset
Short LogToFile | Log To File
Boolean MakeAppVisible | no equivalent
Boolean MapKey | Key
Boolean Menu | Menu
Boolean MenuCancel | Menu Cancel
Boolean MenuDeleteItem | Menu Delete Item
Boolean MenuDeletePopup | Menu Delete Popup
Short MenuEnd | End
Boolean MenuInsertItem | Menu Insert Item
Boolean MenuInsertPopup | Menu Insert Popup
Boolean MenuItem | (Menu) Item
Boolean MenuPopup | (Menu) Popup
Boolean MenuSeparator | (Menu) Separator
Boolean MenuUpdate | Menu Update
Boolean Paste | Edit Paste
Boolean PrintSession | Print Terminal
Short Resume | Resume
Boolean Save | Save
Boolean Scroll | Scroll Down Scroll Left Scroll Right Scroll Up
Boolean Selection | Selection
Boolean SelectionBuffer | Selection Buffer
Boolean SelectionPrint | Selection Print
Boolean SelectionSave | Selection Save Selection Append
Boolean SelectionSend | Selection Send
Boolean SendBreak | Sendbreak
Boolean SendString | Send
Short SetBinaryXfers | Set Binarytransfers
Short SetConnection | Set Connection
Short SetDirectory | Set Directory
Short SetEmulation | Set Emulation
Boolean SetKeyboard | Keyboard
Short SetWildCard | Set Wildcard
Short SetWindowTitle | Set Window Title
Boolean SetXDelay | Set Xclock Set Xsystem
Boolean ShowPropertySheet | Settings
Boolean ShowToolbar | Toolbarshow
Short StopScript | Cancel
Boolean Uninitialize | no equivalent
Short WaitChar | Wait Char
Short WaitCollect | Collect
Short WaitEcho | Wait Echo
Short WaitPrompt | Wait Prompt
Short WaitQuiet | Wait Quiet
Short WaitScreen | Wait Screen
Short WaitString | Wait String
Long WaitStringsArray | no equivalent
Boolean WaitSystemReady | no equivalent
Short WhenCancelCollect | When Cancel
Short WhenCancelDisconnect | When Cancel
Short WhenCancelEcho | When Cancel
Short WhenCancelInput | When Cancel
Short WhenCancelQuiet | When Cancel
Short WhenCancelScreen | When Cancel
Short WhenCancelString | When Cancel
Short WhenCollect | When Collect
Short WhenDisconnect | When Disconnect
Short WhenEcho | When Echo
Short WhenInput | When Input
Short WhenQuiet | When Quiet
Short WhenScreen | When Screen
Short WhenString | When String
Boolean WindowClose | Window Close
Boolean WindowMessage | Window Message
Boolean WindowMove | Window Move
Long WindowOpen | Window Open
Boolean WindowOrder | Window Arrange Window Stack
Boolean WindowSetActive | Window Activate
Boolean WindowSetState | Window Default Window Hide Window Maximize Window Minimize Window Restore Window Unhide


Equivalent DynaComm Script Functions

VB Interface Syntax Equivalent DCS Script function

Long CursorPosition | Cursor ()
Boolean DCSError | Error ()
Short FieldInfo | Exfldattr () Fldattr () Fldattrexpos () Fldlen () Fldnum () Fldpos ()
BSTR GetAppConfig | Getappconfig ()
BSTR GetConnectorConfig | Getconnconfig ()
BSTR GetDirectory | Directory ()
BSTR GetDisplayConfig | Getdisplayconfig ()
BSTR GetEmulationConfig | Getemulconfig ()
Short GetEmulationTerminalKeysList | no equivalent
BSTR GetGeneralConfig | Getgeneralconfig ()
BSTR GetIdentity | no equivalent
Short GetScreenHeight | no equivalent
Short GetScreenWidth | no equivalent
BSTR GetTransferConfig | Getxferconfig ()
BSTR GetWindowTitle | Windowname () Wndtitle ()
BSTR HandleList | Hwndlist ()
Boolean IsChildWindow | Window ()
Boolean IsConnected | Connect ()
Boolean IsIconic | Iconic ()
Boolean IsMenuChecked | (Menu) Checked ()
Boolean IsMenuEnabled | (Menu) Enabled ()
Boolean IsSystemReady | no equivalent
Boolean IsWindowVisible | Visible ()
Boolean IsZoomed | Zoomed ()
BSTR RetrieveScreen | Screen ()
Short Search | Search ()
BSTR SystemSettings | Sysmetrics ()
Long WindowFind | Windowhnd ()
Long WindowGetActive | Active ()
BSTR WindowPosition | Position ()
Short WindowType | WndClass ()


Error Return Values

For all BOOLEAN and SHORT type commands and functions a return of 1 (one) is an error.

For all LONG type commands and functions a return of 0 (zero) is an error.

For STRING type commands and functions a return of NULL is an error.


Application Example

The following code is an example of a VB program using the VB Interface for the DynaComm Connectivity Series. It creates a simple dialog box which allows a user to log onto, and connect to, a system selected by the user.

'=========================================================================

'= Copyright (c) 1998-2000, FutureSoft, Inc.

'= Houston, Texas =

'=========================================================================

' This file is the property of FutureSoft and may only

' be used as specified in the contract under which the file was

' provided. This file is confidential and proprietary information

' of FutureSoft.

'=========================================================================

6/30/00

' Variable Definitions

Dim login As String ' to hold the user’s login ID

Dim password As String ' to hold the user’s login password

Dim wHnd As Long ' to hold window handle of the session opened

Dim emulation As String ' to hold the emulation string for the desired session

Dim connector As String ' to hold the connector string for the desired session

Dim host As String ' to hold the connector host name string for the session

Dim port As String ' to hold the connector port number string for the session

Dim nret As Integer ' return value from commands

Dim bb As Boolean

Private Sub cmdCONNECT_Click() 'When CONNECT button depressed

'process input data from dialog box

login = Text1.text ' get user logon ID

password = text2.text ' get user logon password

If (chkORDERENTRY = True) Then ' order entry system check box selected

emulation = "WYSE"

connector = "winsock"

host = "HOSTNAME=ocs2533"

port = "PORT=23"

End If

If (chkINVENTORY= True) Then ' inventory check system check box selected

emulation = "VT420.dll"

connector = "winsock"

host = "HOSTNAME=fsevax"

port = "PORT=23"

End If

'create session window (window open command)

wHnd = Fsievent1.WindowOpen(1, "", False, 0, 0, 0, 0)

'set emulation

nret = Fsievent1.SetEmulation(emulation,wHnd)

' set connector and connector config

nret = Fsievent1.SetConnection(connector, "",wHnd)

nret = Fsievent1.ConfigureConnector(host, wHnd)

nret = Fsievent1.ConfigureConnector(port, wHnd)

'set up events to look for login and password prompts

nret = Fsievent1.WhenString(1, "login",wHnd)

nret = Fsievent1.WhenString(2, "Password:",wHnd)

' connect the session

nret = Fsievent1.connect("", wHnd)

' Wait for the system to complete the connection and log the user on

nret = Fsievent1.WhenQuiet ("5",wHnd)

End Sub

' on event trigger for login - process the events

Private Sub Fsievent1_WhenString(ByVal sIndex as Integer, ByVal windowHandle As Long)

If (sIndex = "1") Then ' when login prompt is issued

nret = FSievent1.WhenCancelString (1,wHnd) ' cancel the event

nret = Fsievent1.SendString(0, 0, 0, login, -1, -1, wHnd) ' send the user ID

End If

If (sIndex = "2") Then ' when password prompt is issued

nret = FSievent1.WhenCancelString (2, wHnd) ' cancel the event

nret = Fsievent1.SendString(0, 0, 0, password, -1, -1, wHnd) ' send password

End If

End Sub

Private Sub Form_Load() ' initialize input boxes on form at start up

Text1.text= ""

Text2.text= ""

End Sub

' When system completes the connection and log on of user and goes quiet

Private Sub Fsievent1_WhenQuiet(ByVal windowHandle As Long)

nret Fsievent1.WhenCancelQuiet ("5", wHnd) ' cancel the event

'make the session visible to user

n = Fsievent1.WindowSetState(0, wHnd) 'maximize window

Fsievent1.MakeAppVisible (1)

End ' end the VB program

End Sub


Defined Constants (DCSCONST.BAS)

'=========================================================================

'= Copyright (c) 1998-2000, FutureSoft, Inc.

'= Houston, Texas =

'=========================================================================

' This file is the property of FutureSoft and may only

' be used as specified in the contract under which the file was

' provided. This file is confidential and proprietary information

' of FutureSoft.

'

' This file provides users of Visual Basic to have instant access to

' many constants used in DynaComm through the OLE interface.

' Simply include this file in your project and the public members below

' should be available to all regions of your project.

'

' 4/1/98

'=========================================================================

Public Const OLE_DEFAULT_PARAM = -1 'default for various params

'including windowhandles

Public Const OLE_KEYMAP_LOAD = 1 'OLE specific id to load keymap

Public Const OLE_KEYMAP_SAVE = 2

Public Const OLE_KEYMAP_RESET = 3

Public Const OLE_KEYBOARD_STATE_LOCK = 0 'definitions for the setkeyboard

Public Const OLE_KEYBOARD_STATE_UNLOCK = 1 'function - only range is verified

Public Const OLE_KEYBOARD_STATE_ECHO = 2

Public Const OLE_KEYBOARD_STATE_BUFFER = 3

Public Const OLE_KEYBOARD_STATE_WAIT = 4

Public Const OLE_SCROLL_LEFT = 0 'OLE specific id for scroll directions

Public Const OLE_SCROLL_RIGHT = 1

Public Const OLE_SCROLL_UP = 2

Public Const OLE_SCROLL_DOWN = 3

Public Const OLE_WINDOW_MAXIMIZE = 0 'values for the WindowSetState funct

Public Const OLE_WINDOW_MINIMIZE = 1

Public Const OLE_WINDOW_RESTORE = 2

Public Const OLE_WINDOW_HIDE = 3

Public Const OLE_WINDOW_UNHIDE = 4

Public Const OLE_WINDOW_ACTIVATE = 5

Public Const OLE_WINDOW_SESSION = 1 'values for the WindowOpen funct

Public Const OLE_WINDOW_SCRIPT = 3

Public Const OLE_WINDOW_MEMO = 4

Public Const OLE_ID_OBJ_EMULATOR = 0 'for the GetIdentity funct

Public Const OLE_ID_OBJ_CONNECTOR = 1

Public Const OLE_ID_OBJ_TRANSFER = 2

Public Const OLE_WINORDER_ARRANGE = 0 'for the function WindowOrder

Public Const OLE_WINORDER_STACK = 1

Public Const OLE_SETX_SYSTEM = 0 'for the setxdelay function

Public Const OLE_SETX_CLOCK = 1

Public Const OLE_FIELD_EXATTRIB = 0 'for the FieldInfo function

Public Const OLE_FIELD_ATTRIB = 1 'all of which are mostly 3270 specific

Public Const OLE_FIELD_EXPOSITION = 2

Public Const OLE_FIELD_LENGTH = 3

Public Const OLE_FIELD_NUMBER = 4

Public Const OLE_FIELD_POSITION = 5

Public Const OLE_SEARCH_MODE_LINEAR = 0 'for the search function

Public Const OLE_SEARCH_MODE_RECT = 1

Public Const OLE_SENDSTR_OPT_NOCR = 1 'for the send string command

Public Const OLE_SENDSTR_OPT_ONEPACKET = 1

Public Const OLE_SENDSTR_OPT_WAITECHO = 1

Public Const OLE_PROPSHEET_PHONENUMBER = 0 'values for showpropertysheet

Public Const OLE_PROPSHEET_EMULATION = 1

Public Const OLE_PROPSHEET_TERMINAL = 2

Public Const OLE_PROPSHEET_BINARYTRANSFER = 3

Public Const OLE_PROPSHEET_COMMUNICATIONS = 4

Public Const OLE_PROPSHEET_MODEM = 5

Public Const OLE_PROPSHEET_MOUSE = 6

Public Const OLE_PROPSHEET_WORKSPACE = 7

Public Const OLE_PROPSHEET_TRANSFERS = 8

Public Const OLE_PROPSHEET_KEYBOARDMAP = 9

Public Const OLE_PROPSHEET_KEYBOARDEDIT = 10

Public Const OLE_PROPSHEET_COLOREDIT = 11

Public Const OLE_DIRECTORY_SETTINGS = 1 'for the directory property...

Public Const OLE_DIRECTORY_TASK = 2

Public Const OLE_DIRECTORY_SCRIPT = 3

Public Const OLE_DIRECTORY_MEMO = 4

'the set method can only access up to

'the memo diretory

Public Const OLE_DIRECTORY_KEYMAP = 5

Public Const OLE_DIRECTORY_COLORMAP = 6

Public Const OLE_DIRECTORY_WINDOWS = 7

Public Const OLE_DIRECTORY_WINSYS = 8

Public Const OLE_DIRECTORY_DYNASYS = 9

Public Const OLE_DIRECTORY_TRACEPATH = 10

Public Const OLE_DIRECTORY_ICONPATH = 12

Public Const OLE_DIRECTORY_KEYMAPPATH = 13

Public Const OLE_DIRECTORY_DNLOAD = 14

Public Const OLE_DIRECTORY_MAPS = 15

Public Const OLE_DIRECTORY_UPLOAD = 16

'remaps for key and modifier identification (MapKey)

Public Const OLE_VK_BACK = 8

Public Const OLE_VK_TAB = 9

Public Const OLE_VK_CLEAR = 12

Public Const OLE_VK_ENTER = 13

Public Const OLE_VK_SHIFT = 16

Public Const OLE_VK_CONTROL = 17

Public Const OLE_VK_SPACE = 32

Public Const OLE_VK_PRIOR = 33

Public Const OLE_VK_NEXT = 34

Public Const OLE_VK_PAUSE = 19

Public Const OLE_VK_CAPITAL = 20

Public Const OLE_VK_ESCAPE = 27

Public Const OLE_VK_END = 35

Public Const OLE_VK_HOME = 36

Public Const OLE_VK_LEFT = 37

Public Const OLE_VK_UP = 38

Public Const OLE_VK_RIGHT = 39

Public Const OLE_VK_DOWN = 40

Public Const OLE_VK_PRINT = 42

Public Const OLE_VK_SELECT = 41

Public Const OLE_VK_INSERT = 45

Public Const OLE_VK_DELETE = 46

' VK_0 thru VK_9 are the same as ASCII '0' thru '9' (0x30 - 0x39)

' VK_A thru VK_Z are the same as ASCII 'A' thru 'Z' (0x41 - 0x5A)

Public Const OLE_VK_NUMPAD0 = 96

Public Const OLE_VK_NUMPAD1 = 97

Public Const OLE_VK_NUMPAD2 = 98

Public Const OLE_VK_NUMPAD3 = 99

Public Const OLE_VK_NUMPAD4 = 100

Public Const OLE_VK_NUMPAD5 = 101

Public Const OLE_VK_NUMPAD6 = 102

Public Const OLE_VK_NUMPAD7 = 103

Public Const OLE_VK_NUMPAD8 = 104

Public Const OLE_VK_NUMPAD9 = 105

Public Const OLE_VK_MULTIPLY = 106

Public Const OLE_VK_ADD = 107

Public Const OLE_VK_SEPARATOR = 108

Public Const OLE_VK_SUBTRACT = 109

Public Const OLE_VK_DECIMAL = 110

Public Const OLE_VK_DIVIDE = 111

Public Const OLE_VK_F1 = 112

Public Const OLE_VK_F2 = 113

Public Const OLE_VK_F3 = 114

Public Const OLE_VK_F4 = 115

Public Const OLE_VK_F5 = 116

Public Const OLE_VK_F6 = 117

Public Const OLE_VK_F7 = 118

Public Const OLE_VK_F8 = 119

Public Const OLE_VK_F9 = 120

Public Const OLE_VK_F10 = 121

Public Const OLE_VK_F11 = 122

Public Const OLE_VK_F12 = 123

Public Const OLE_VK_F13 = 124

Public Const OLE_VK_F14 = 125

Public Const OLE_VK_F15 = 126

Public Const OLE_VK_F16 = 127

Public Const OLE_VK_NUMLOCK = 144

Public Const OLE_VK_SCROLL = 145

Public Const OLE_VK_LSHIFT = 160

Public Const OLE_VK_RSHIFT = 161

Public Const OLE_VK_LCONTROL = 162

Public Const OLE_VK_RCONTROL = 163

Public Const OLE_VK_LMENU = 164

Public Const OLE_VK_RMENU = 165


BinaryTransfer

Short BinaryTransfer(short sAction, BSTR pSourceFileName, short sRemote, short sMode, short sCRLF, BSTR pDestinationFileName, short sAppend, long lWindowHandle)

The BINARYTRANSFER command prepares DynaComm to receive the specified file or directs DynaComm to send the specified file using the binary transfer protocol specified by the active settings.

Arguments

sAction

The sAction argument is an integer direction DynaComm to SEND or RECEIVE.

0 - for SEND

1 - for RECEIVE

pSourceFileName

The pSourceFileName argument is a string specifying the file to be transferred. The pSourceFileName argument must specify a valid file name for your system.

The pSourceFileName argument might be in one of the following formats:

CMS: HostFileName HostFileType HostFileMode

TSO: HostFileName HostMemberName Password

The pSourceFileName argument must be the same as the file name on the remote system for the Kermit protocol only. You may rename the file on your PC using pDestinationFileName.

For IND$File transfers, host files must be specified as FileName, FileType, Mode (using commas to separate each element).

sRemote

The sRemote integer argument, if set ON, directs the BinaryTransfer command to issue the Kermit PUT or Kermit GET command to a Kermit server on a remote host. The Kermit binary transfer protocol must be specified for the session window before executing the BinaryTransfer command with the sRemote argument set to one (1). For the Kermit protocol, you must use the sRemote argument if the remote system is in server mode.

0 = Remote off

1 = Remote on

sMode

The sMode argument specifies an EBCDIC to ASCII translation for text files before a text file is stored on the local computer. If the argument is not set ON, the file is not translated. Do not use this option if the file is already in ASCII format. This option is for IND$File transfers only.

0 = off - no translation

1 = on - translate

sCRLF

The sCRLF argument directs DynaComm to replace all end of record marks with a carriage return character followed by a line feed character for receive mode or replace all end of line delimiter (carriage return/line feed) with an end of record mark for send mode. If you do not set this argument ON, end of record marks are removed and not replaced. This option is for IND$File transfers only.

pDestinationFile

The pDestinationFile argument is a string specifying the name of the file on the receiver’s storage device. The pDestinationFile argument must specify a valid file name for the receiver’s system.

The pDestinationFile argument might be in one of the following formats:

CMS: HostFileName HostFileType HostFileMode

TSO: HostFileName HostMemberName Password

The pDestinationFile argument must be the same as the file name on the remote system for the Kermit protocol only.

For IND$File transfers, host files must be specified as FileName, FileType, Mode (using commas to separate each element).

sAppend

The sAppend argument causes DynaComm to append the incoming/outgoing file to the existing contents of the specified file and to override the record length and record format specifications. If it is not included, DynaComm clears the existing contents of the file before the file is received. This option is used only when transferring files to a TSO or VM/CMS command processor. This option is for IND$File transfers only.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: File Receive Binary or File Send Binary


Clear

Short Clear(boolean bScreenOnly, long lWindowHandle)

The CLEAR command clears the session window screen.

Arguments

bScreenOnly

If this argument is TRUE (1), it directs DynaComm to clear only the portion of the scroll buffer visible in the session window. If this argument is FALSE (0) , the entire scroll buffer of the session is cleared.

lWindowHandle

This integer argument identifies the particular window in DynaComm to clear the screen or scroll buffer. If this argument is set to zero (0) the command will clear the screen or scroll buffer of the current active session.

Comments

If the lWindowHandle is the handle of an edit window, the entire contents of the file will be deleted!

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Clear


CompileScript

Short CompileScript(BSTR pScriptName)

The COMPILESCRIPT command allow a VB script to compile a DynaComm script.

Arguments

pScriptName

The pScriptName argument is a string specifying the name of the DynaComm script to compile. You do not need to include the DCP file type.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent:


ConfigureApp

Short ConfigureApp(BSTR pAttributes, long lWindowHandle)

The CONFIGUREAPP command is used to set the value of a parameter used to configure options which apply to the entire DynaComm application.

Arguments

pAttributes

The pAttributes string argument represents a single "keyword" followed by the assignment operator (=) and a valid setting. Together, the keyword and the setting are used to configure the options for the DynaComm application.

Keywords for General tab Valid Settings

ShowSplashScr true, false

ConfirmMessages true, false

SaveAppPosition true, false

Use SessionWizard true, false

ShowBkgrdBitMap true, false

ENABLEOLEMENU true, false

ENABLEOLETOOLBAR true, false

Keywords for File Locations tab Valid Settings

DefaultSesEmulation addsvp60, ansi, att605, att4425, ibm3270, ibm5250, tandem, vt420

DefaultSesConnector comdir, comtapi, fmidll, merdnlat, Telnet

DefaultSesFileTransfer indfile, kermit, wixfdll, zmodem

UserSessionDir string of valid path

UserScriptDir string of valid path

UserDownLoadDir string of valid path

UserUpLoadDir string of valid path

UserMemoDir string of valid path

UserMapDir string of valid path

UserConnectorDir string of valid path

UserEmulationDir string of valid path

UserFileTransferDir string of valid path

UserDisplayDir string of valid path

UserFontDir string of valid path

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

The keywords correspond to parameters available in the General and File Location tabs of the Tools > Options dialog box. This command, therefore, allows you to set these parameters through the DynaComm VB script language rather than using the dialog box.

Note: Changes made via scripting to application options remain in effect even after closing and restarting DynaComm.

DynaComm scripting language equivalent: AppConfig


ConfigureConnector

Short ConfigureConnector(BSTR pAttributes, long lWindowHandle)

The CONFIGURECONNECTOR command is used to set the value of a parameter used in the connector configuration for the specified active session.

Arguments

pAttributes

The pAttributes string argument represents a single "keyword" followed by the assignment operator (=) and a valid setting. Together, the keyword and the setting are used to configure the connector for the active session.

Note: Configuration keywords for connectors shipped with client options, such as SNA Server, are available in the online Help for those client options.

Keywords for Modem Valid Settings

AREACODE string

PHONENUMBER string

COUNTRYCODE string

MODEMTYPE string (use the string of the modem type displayed in Windows Control Panel > Modem)

Keywords for Direct Serial Valid Settings

STOPBITS 1, 1.5, 2

PARITY odd, even, mark, space, none

FLOWCONTROL software, hardware, none

DATABITS 4, 5, 6, 7, 8

BAUDRATE 1200, 2400, 4800, 9600, 19200, 38400, 57600, 115200

COMMPORT COM1, COM2, COM3, COM4, COM5, COM6, COM7, COM8, COM9

PARITYCHECK true, false

DROPDTR true, false

Keywords for Meridian LAT32 Valid Settings

SERVICENAME string

NODE string

PASSWORD string

PORT string

BLOCKIO true, false

Keywords for Telnet Valid Settings

HOSTNAME string of host name, including node and socket

PORT 23

LINEMODE yes, no

BINARYMODE yes, no

TERMCUSTOM none, selected, custom

AUTORECONNECT yes, no

TERMTYPE string (of terminal type)

WAITDATAMARK yes, no

CRPAIRING NULL, CRLF, NONE

SOCKETPORT integer value of socket port

SERVICENAME string (of service name)

BREAKTYPE interrupt, Telnet

NETWORKTYPE TCP, SPX

BYPASS_TIMEWAIT true, false

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0),DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

The keywords correspond to parameters available in the Connection tab of the Session Properties dialog box. This command, therefore, allows you to set these parameters through the DynaComm VB script language rather than using the dialog box.

DynaComm scripting language equivalent: ConnConfig


ConfigureDisplay

Short ConfigureDisplay(BSTR pAttribute, long lWindowHandle)

The CONFIGUREDISPLAY command is used to set the value of a parameter used to configure display option parameters for a session window. These settings are also available on the Displays tab of the Session Properties dialog.

Arguments

pAttribute

The pAttributes string argument is composed of a Keyword followed by the assignment operator (=) and a valid setting. The argument would appear like the following:

Keyword=Value

The keywords and the their values are in the table below.

Keywords for GENERAL TAB Values Description

TopStatusLine True Displays a status line at the top of the session window.

False Hides the status line at the top of the session window.

Note: For some emulations, the remote system can display and hide this status line, which may negate the effect of the command with this keyword

BottomStatusLine True Displays a status line at the bottom of the session window.

False Hides the status line at the bottom of the session window.

Note: For some emulations, the remote system can display and hide this status line, which may negate the effect of the command with this keyword

HorizontalScrollbarMode Auto DynaComm will display the horizontal scrollbar when a session line is too long to display within the current width of the session window.

On Displays the horizontal scroll bar area.

Off Hides the horizontal scroll bar area.

VerticalScrollbarMode Auto DynaComm will display the vertical scrollbar when the height of the session and the height of the session window’s history buffer do not display within the current height of the session window. The height of the session is determined by the emulation chosen for the session window, and the height of the history buffer is determined by the setting of Lines in the History tab of the Displays tab or by the HISTORYSIZE keyword for this command.

On Displays the vertical scroll bar area.

Off Hides the vertical scroll bar area.

TerminalBorder True Displays a border between the terminal session and the edge of the session window.

False Prevents DynaComm from filling in any vacant area between the terminal session and the edge of the session window.

MaximumScrollRate 1 Smoothest scrolling action (one line).

2 Smoother scrolling action (two lines).

3 Normal scrolling speed and action (four lines).

4 Faster scrolling speed (eight lines).

5 Fastest scroll speed (sixteen lines).

Keywords for FONT TAB Values Description

AutoSizeFont=Boolean True DynaComm will automatically change the size of the font when the dimensions of the session window changes in order to fit the entire terminal session in the session window at the largest possible size of font. The smallest size of the characters is determined by the MinFontSize parameter or by the setting in Width and Height under Minimum Font Size When Autosizing in the Displays > Font tab.

False Prevents DynaComm from changing the size of the font.

FontSize String String must have the format w,h, where w is an integer indicating the width in pixels of the font, and where h is an integer indicating the height in pixels of the font. This setting has an effect on the font when the AutoSizeFont parameter equals False, or when Autosize Font To Fit Session Window in the Displays Font tab is unchecked.

MinFontSize String String must have the format w,h, where w is an integer indicating the minimum width in pixels of the font, and where h is an integer indicating the minimum height in pixels of the font. This setting has an effect on the font when the AutoSizeFont parameter equals True, or when Autosize Font To Fit Session Window in the Displays Font tab is checked.

FontFaceName String String is the name of a monospace or fixed pitch font on your system. DynaComm will use the font for the session window. Some fixed pitch fonts in Windows are Courier New and Terminal. If the name of the font is misspelled or if the font is not a fixed pitch font, DynaComm will use a default font, usually Courier New.

Blinking True Text with a blink attribute will flash in a session.

False DynaComm will not allow text with a blink attribute to flash. Generally, this setting will speed up a terminal session.

Keywords for CURSOR TAB Values Description

CursorVisible On Displays the session cursor.

Off Prevents the session cursor from displaying.

CursorType=String Block Displays the session cursor as a block character.

Underline Displays the session cursor as an underline character.

Blinking

CursorBlink Blink The session cursor will blink during a session.

Steady The session cursor will not flash during a session.

AutoScrollToCursor=Boolean True DynaComm will keep the session cursor in the viewable region of the session window.

False DynaComm will allow the contents of a session to change without automatically moving the session cursor and the lines which surround it into a viewable part of the session window.

Keywords for HISTORY TAB Values Description

HistorySize 0 to 9999 The number of lines in the history buffer. This setting only has meaning for continuous or streaming sessions with emulations such as ANSI-BBS or VT100. Page or form sessions with emulations such as IBM 3270 lose the previous page when a new page enters the session.

ReverseHistory True DynaComm changes the colors of the history buffer so that the active session area and the history buffer are visually distinguishable.

False The characters and their background in the history buffer appear as they would in the active session area.

SaveClearedScreen True DynaComm will place a session screen cleared by the remote system into the history buffer.

False Cleared session screens are not saved.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: DisplayConfig


ConfigureEmulation

Short ConfigureEmulation(BSTR pAttribute, long lWindowHandle)

The CONFIGUREEMULATION command is used to set the value of a parameter used in the emulator configuration for the specified active session.

Arguments

pAttribute

The pAttributes string argument represents a single "keyword" followed by the assignment operator (=) and a valid setting. Together, the keyword and the setting are used to configure the emulation for the active session.

Note: Configuration keywords for emulations shipped with client options, such as Tandem 6530 and TN3270, are available in the online Help for those client options.

Keywords for ADDS Viewpoint Valid Settings

LOCALECHO true, false

AUTOSCROLL true, false

AUTOLINEFEED true, false

LINETERMINATOR none, cr, creot, cretx

Keywords for ANSI Valid Settings

MODE ansi, tty, scoansi

LINEWRAP true, false

DESTBACKSPACE true, false

LOCALECHO true, false

CODEPAGE850 true, false

SCREENROW 24, 25

Keywords for AT&T 605/705 Valid Settings

MODE att605, att705, pcxt, pcat1, pcat2

BITCONTROL 7, 8

SWAP DELETE true, false

SCREENROW 24, 25

ANSWERBACK string

NEWLINE true, false

LOCALECHO true, false

DESTRUCTIVEBS true, false

COLUMNS 80, 132

LINEWRAP true, false

NUMPADAPPLICATION true, false

LIGHTSCREEN true, false

DISPLAYCONTROLS true, false

NRCMODE true, false

NRCLANG usascii, frenchcanadian

Keywords for AT&T4425* Valid Settings

RETURNKEYSENDS CR, LF, CRLF

COLUMNS 80, 132

LOCALECHO true, false

AUTOWRAP true, false

ANSWERBACK string

NEWLINEONLINEFEED true, false

DISABLEAUXPRINTMODE true, false

*available only if the AT&T 4425 Client Option has been installed

Keywords for Digital VT Valid Settings

MODE vt52, vt100, vt101, vt102, vt220, vt320, vt420

BITCONTROL 7, 8

SCREENROW 24, 25, 36, 48

ANSWERBACK string

NEWLINE true, false

GISEXTENSION true, false

LOCALECHO true, false

DESTRUCTIVEBS true, false

COLUMNS 80, 132

LINEWRAP true, false

NUMPADAPP true, false

CURSORKEYAPP true, false

LIGHTSCREEN true, false

DISPLAYCONTROLSMODE true, false

Keywords for HP 700/94* Valid Settings

BELL true, false

INVERSEBACKGROUND true, false

XMITFNCTN true, false

INHEOLWRP true, false

INHDC2 true, false

AUTOLF true, false

TABSPACES true, false

WARNINGBELL true, false

LOCALECHO true, false

SPOW true, false

INHHNDSHK true, false

ESCXFER true, false

RETURNENTER true, false

MODEL HP700/92, HP700/94

COLUMNS 80, 132

STARTCOL 1 – 80

LINEPAGE line, page

BLOCKMODE true, false

NUMPADTAB tab, return, enter

DECIMALTYPE (HP 700/94 only) US, EUR

PRINT all, fields

IMPDECDIGITS (HP 700/94 only) 0 – 9

TRANSMIT (HP 700/94 only) all, modified

ATTRF1 N, L, T

ATTRF2 N, L, T

ATTRF3 N, L, T

ATTRF4 N, L, T

ATTRF5 N, L, T

ATTRF6 N, L, T

ATTRF7 N, L, T

ATTRF8 N, L, T

LABELF1 string (0 – 16 characters)

LABELF2 string (0 – 16 characters)

LABELF3 string (0 – 16 characters)

LABELF4 string (0 – 16 characters)

LABELF5 string (0 – 16 characters)

LABELF6 string (0 – 16 characters)

LABELF7 string (0 – 16 characters)

LABELF8 string (0 – 16 characters)

STRINGF1 string

STRINGF2 string

STRINGF3 string

STRINGF4 string

STRINGF5 string

STRINGF6 string

STRINGF7 string

STRINGF8 string

LINEMODIFY** true, false
(on-screen function key)

MODIFYALL** true, false
(on-screen function key)

BLOCKMODE true, false
(on-screen function key)

REMOTEMODE true, false
(on-screen function key)

FORMATMODE** true, false
(on-screen function key)

MEMORYLOCK** true, false
(on-screen function key)

DISPLAYFUNCTIONS true, false
(on-screen function key)

AUTOLF true, false
(on-screen function key)

KEYBOARDLOCK** true, false
(on-screen function key)

*available only if the HP 700/94 Client Option has been installed

** when using these keywords with the GETEMULCONFIG function, the state of these on-screen keys can only be correctly returned when the session is connected; when the session is not connected these keywords will always return "false", even if set to "true".

Keywords for Tandem 6530* Valid Settings

EXEC_FUNCTION true, false

RETURN_FUNCTION true, false

BELL_COLUMN 0 (disables)

1-80

ALLOWHOSTCOLORS true, false

EM3270_MODE true, false

LOCAL_TRANSMIT_COLUMN 1-80

BLOCK_TYPE_AHEAD true, false

CI_ERROR_RESPONSE no_response, error_msg_only, del_symbol_only,

del_symbol_and_error_msg

NATIONALLANGUAGE_SUPPORT_8BIT true, false

LANGUAGE_8 Westeurp_8, Cyrillic_8, Greek_8

NATIONAL_LANGUAGE_SSUPPORT_7BIT true, false

LANGUAGE_7 USASCII, French_7, German_7, Spanish_7, UK_7,

Swedish_7, Danish_7, Norwegian_7, Belgian_7,

Portuguese_7

AUX1 or AUX2 none, printer, file, device

AUX1_DEVICE or AUX2DEVICE File name or device name (up to 256 characters)

*available only if the Tandem 6530 Client Option has been installed

Keywords for TN3270* Valid Settings

FS3270_TermType IBM3278, IBM3279

FS3270_TermModel 2, 3, 4, 5

FS3270_ExtAttrib true, false

FS3270_OEMReply true, false

FS3270_AltSize true, false

FS3270_Sound true, false

FS3270_Notify true, false

FS3270_TypeAhead true, false

FS3270_LongName string (sequence of up to eight characters, which describe the session and its connection).

FS3270_LUName string (A sequence of up to eight characters. The name must be unique among other logical unit names, is case sensitive, and can consist of numbers, uppercase letters, and special characters such as the following symbols: percent %, dollar $, number #, and at sign @. This name is not required unless DCS is connecting via the Microsoft SNA Server connector.)

FS3270_CharacterSet This string is not case sensitive, but the characters should match the names in the list box.

Austrian/German, Austrian/German CECP, Belgian, Belgian CECP, Canadian Bilingual, Canadian Bilingual CECP, Danish, Danish CECP, English UK, English US, English US (Old), English US C370 CECP, English US C370 CECP V2, English US CECP, Finnish, Finnish CECP, French, French CECP, Italian, Italian CECP, Netherlands, Netherlands CECP, Norwegian, Norwegian CECP, Portuguese, Portuguese CECP, Spanish CECP, Spanish Speaking, Spanish Speaking CECP, Swedish, Swedish CECP, Swiss French, Swiss French CECP, Swiss German, Swiss German CECP

FS3270_Uppercase true, false

FS3270_AutoSkip true, false

FS3270_ConvertNulls true, false

FS3270_DisplayNulls true, false

FS3270_RespectNumeric true, false

FS3270_GraphicalOIA true, false

*available only if the TN3270 Client Option has been installed

Keywords for TN5250 Valid Settings

FS5250_TermModel 2, 5

FS5250_Sound true, false

FS5250_Notify true, false

FS5250_TypeAhead true, false

FS5250_LongName String, A sequence of up to eight characters, which describe the session and its connection.

FS5250_CharacterSet This string is not case sensitive, but the characters should match the names in the list box.

Austrian/German, Austrian/German CECP, Belgian, Belgian CECP, Canadian Bilingual, Canadian Bilingual CECP, Danish, Danish CECP, English UK, English US, English US (Old), English US C370 CECP, English US C370 CECP V2, English US CECP, Finnish, Finnish CECP, French, French CECP, Italian, Italian CECP, Netherlands, Netherlands CECP, Norwegian, Norwegian CECP, Portuguese, Portuguese CECP, Spanish CECP, Spanish Speaking, Spanish Speaking CECP, Swedish, Swedish CECP, Swiss French, Swiss French CECP, Swiss German, Swiss German CECP

FS5250_UpperCase true, false

FS5250_DisplayNulls true, false

FS5250_GraphicalOIA true, false

*available only if the TN5250 Client Option has been installed

Keywords for TV 925 Valid Settings

MODE Full Duplex, Half Duplex, Block, Local

LINESPERPAGE 24, 48, 96

NUMBEROFOAGES 1, 2, 4

MODEL TV925, TV950

LIGHTSCREEN true, false

DISPLAYCONTROLS true, false

LOCALEDITKEYS true, false

Keywords for WYSE Valid Settings

MODE wyse50, wyse60

ENDOFBLOCK uscr, crlfetx

COMMMODE full, block, half, halfblock

CLEARONWIDTHCHANGE true, false

LOCALECHO true, false

LINEWRAP true, false

RECEIVECR true, false

AUTOSCROLL true, false

ANSWERBACK string

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

The keywords correspond to parameters available in the Emulation tab of the Session Properties dialog box. This command, therefore, allows you to set these parameters through the DynaComm VB script language rather than using the dialog box.

DynaComm scripting language equivalent: EmulConfig


ConfigureGeneral

Short ConfigureGeneral(BSTR pAttributes, long lWindowHandle)

The CONFIGUREGENERAL command is used to set the value of a parameter used to configure general options which apply to a session.

Arguments

pAttributes

The pAttributes string argument represents a single "keyword" followed by the assignment operator (=) and a valid setting. Together, the keyword and the setting are used to configure the general properties of the active session.

Keywords for General tab Valid Settings

AutoConnect true, false

SaveWindowPosition true, false

StartupScript string of valid path of a compiled script file

DisplayDisconnectConfirmation true, false

DisplaySaveConfirmation true, false

DisplayConnectInformation true, false

DisplayErrorInformation true, false

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

The keywords correspond to parameters available in the General tabs of the Session Properties dialog box. This command, therefore, allows you to set these parameters through the DynaComm VB script language rather than using the dialog box.

DynaComm scripting language equivalent: GeneralConfig

Note: Changes made via scripting to these options apply only to the active or specified session and are not saved unless the session is saved.

Note: Because VB scripting tasks receive a lower processing priority than other application activity, a session which is already configured to autoconnect may do so upon opening before it receives the command from any VB script to disable the autoconnect feature.


ConfigureTransfer

Short ConfigureTransfer(BSTR pAttribute, long lWindowHandle)

The CONFIGURETRANSFER command is used to set the value of a parameter used in the file transfer configuration for the active session.

Arguments

pAttribute

The String argument represents a single "keyword" followed by the assignment operator (=) and a valid setting. Together, the keyword and the setting are used to configure the file transfer protocol for the active session.

Note: Configuration keywords for transfer protocols shipped with client options, such as IXF and IND$FILE, are available in the online Help for those client options.

Keywords for KERMIT Valid Settings

Kermit_TimeConstraintsType standard, loose

Kermit_ErrorCheckType 1bytechecksum, 2bytechecksum, 3bytecrc

Kermit_FileType binary, text

Kermit_FileExist prompt, skip, overwrite

Kermit_WindowChoice true, false

Kermit_PacketChoice true, false

Kermit_WindowSize integer (1-31)

Kermit_PacketSize integer (80-9024)

Kermit_ChangeFileName true, false

Kermit_AutoHostActivation true, false

Kermit_KermitCommand command string

Kermit_KermitServerCommand command string

Kermit_BinaryXferCommand command string

Kermit_TextXferCommand command string

Kermit_SendPktLenCommand command string

Kermit_RcvPktLenCommand command string

Kermit_WindowSizeCommand command string

Kermit_ExitKermitCommand command string

FT_ENABLETIMEOUT true, false

FT_TIMEOUTVALUE 0 – 9999

FT_DISABLESTATUSSTOP true, false

Keywords for XYMODEM Valid Settings

XYOPTION xmodem, ymodem, ymodemg

XYFILETYPE binary, ascii

XYFILEEXIST prompt, overwrite, resume

XYBLOCKSIZE 128, 1K

XYMAXIMUMRETRIES integer

XMODEM_AUTOHOSTACTIVATION true, false

XMODEM_RCVCOMMAND string

XMODEM_SENDCOMMAND string

YMODEM_AUTOHOSTACTIVATION true, false

YMODEM_RCVCOMMAND string

YMODEM_SENDCOMMAND string

XYERRORCHECK checksum, crc16

FT_ENABLETIMEOUT true, false

FT_TIMEOUTVALUE 0 – 9999

FT_DISABLESTATUSSTOP true, false

Keywords for ZMODEM Valid Settings

ZERRORCHECK crc16, crc32, auto

ZFILETYPE binary, ascii

ZFILEEXIST prompt, resume, skip, overwrite

ZAUTOSTART true, false

ZBLOCKSIZE 128, 256, 512, 1K, auto

ZMAXIMUMRETRIES integer

ZCONSECUTIVERETRIES integer

ZMODEM_AUTOHOSTACTIVATION true, false

ZMODEM_RCVCOMMAND string

ZMODEM_SENDCOMMAND string

ZMODEM_ESCCTRLCHAR true, false

ZMODEM_CHANGEFILENAME true, false

FT_ENABLETIMEOUT true, false

FT_TIMEOUTVALUE 0 – 9999

FT_DISABLESTATUSSTOP true, false

Keywords for IND$FILE* Valid Settings

IND3270_HostEnvironment CMS, TSO, CICS

IND3270_ChkBlockSize true, false

IND3270_BlockSize 1 to 6233

IND3270_ChkRecLength. true, false
Applicable only for the CMS and TSO environments

IND3270_RecLength. 1 to 32760
Applicable only for the CMS and TSO environments

IND3270_RecFormat Default, Fixed, Variable, Undefined

IND3270_Append true, false

IND3270_ConvertASCII true, false

IND3270_ConvertCRLF true, false

IND3270_ChkSpace true, false
Applicable only for the TSO environments.

IND3270_SpacePrimary. 1 to 6233
Applicable only for the TSO environments

IND3270_SpaceSecondary 1 to 6233
Applicable only for the TSO environments.

IND3270_SpaceUnits Blocks, Tracks, Cylinders
Applicable only for the TSO environments.

IND3270_Program_NAME String. The string should be the name of the host program that transfers files between the host and DynaComm, usually IND$File.

IND3270_PaceketSize 256 to 32000

IND3270_PC_CodePage ISO Latin-1 (Windows NSI), English-US, Canadian French

IND3270_Host_CodePage English-US, Canadian French

IND3270_EXTRA_Options Parameters that your host requires for which neither the Session or Advanced tabs provide settings.

FT_ENABLETIMEOUT true, false

FT_TIMEOUTVALUE 0 – 9999

FT_DISABLESTATUSSTOP true, false

Keywords for IXF* Valid Settings

IXF_HOSTPROGRAM string (48 character limit)

IXF_MAXRETRIES positive integer (5 digit limit)

IXF_DEFAULTVOL volume/subvolume name

IXF_RECORDSIZE 1 – 4096 (must be a positive integer)

IXF_SHARE true, false

IXF_PACKETDEPTH 1 – 16

IXF_BINARY true (Binary transfer), false (Text transfer)

IXF_FILECODE 0 – 65535 (may not be 101 for binary transfer)

IXF_EDITINCREMENT 0.001 – 2000.999

IXF_ENABLEPRINTER true, false

IXF_STRIPHIGHBIT true, false

IXF_SKIPPERFS true, false

IXF_MAKEEXTENSION true, false

IXF_NUMEXTENSIONCHARS 1 – 3

IXF_CRLF true, false

IXF_KEEPHOSTFILEDATE true, false

IXF_RCVFILEEXISTOPTION ReceiveAbort, ReceivePrompt, ReceiveOverwrite, ReceiveAppend

IXF_NOEXTENSIONS true, false

IXF_OWNER true, false

IXF_GROUP 0 – 255

IXF_USER 0 – 255

IXF_FILESECURITY four character string, using A, N, G, O, C, U, S
(may also be -), or D

IXF_PRIMARYHOSTEXT 1 – 65535

IXF_SECONDARYHOSTEXT 1 – 65535

IXF_KEEPPCFILEDATE true, false

IXF_SENDFILEEXISTOPTION SendAbort, SendPurge, SendErase, SendAppend

IXF_TABOPTION DeleteTabs, TabsToSpaces, TabList

IXF_TABSEVERY 1 – 4096 (must be a positive integer)

IXF_TABLIST comma-delimited list of up to 128 Tab Stops in range 1 – 4096

FT_ENABLETIMEOUT true, false

FT_TIMEOUTVALUE 0-9999

FT_DISABLESTATUSSTOP true, false

*available only if the Tandem 6530 Client Option has been installed

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

The keywords correspond to parameters available in the File Transfers tab of the Session Properties dialog box. This command, therefore, allows you to set these parameters through the DynaComm script language rather than using the dialog box.

DynaComm scripting language equivalent: XferConfig


Connect

Short Connect(BSTR pSessionFile, long lWindowHandle)

The CONNECT command establishes a connection with a host.

Arguments

pSessionFile

This string argument specifies the path name of a session file. The session file specified is loaded before DynaComm attempts to connect to the host. If this argument is a null string ("") no Session file is loaded before attempting a host connection.

lWindowHandle

This integer argument specifies a session DynaComm. If the pSessionFile argument contains a path name of a session file, this argument will be assigned the window handle of the newly connected session. If the pSessionFile argument is null, the window handle in this argument will identify the DynaComm window to attempt the host connection. If this argument is zero (0), DynaComm will attempt the host connection with the current active DynaComm window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Connect


Copy

Short Copy(BSTR pSourceString, long lWindowHandle)

The COPY command copies characters to the clipboard. Executing the Copy command is equivalent to selecting the Copy option in the Edit menu.

Arguments

pSourceString

The pSourceString argument specifies text to copy to the clipboard. If the pSourceString argument is null (""), DynaComm will copy the visible selection made in the currently active child window of DynaComm. If the pSourceString argument is null (""), and no characters are selected in a DynaComm child window, DynaComm will not affect the clipboard contents.

lWindowHandle

This integer argument specifies a session window in DynaComm to get the current selection from.

Comments

If the pSourceString argument is null ("") and the lWindowHandle argument is zero (0), the current selection in the active DynaComm window is copied. However, if you include both the pSourceString argument and the lWindowHandle argument is NOT zero (0), the command will default to copying the pSourceString argument only.

The COPY command does not work in concert with the SELECTION or SELECTION BUFFER commands (invisible selections), but works with visible selections you make with your mouse or cursor keys.

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Edit Copy


CopySpecial

Short CopySpecial(short sDestination, short sFormat, boolean bInvertImage, BSTR pFileName, long lWindowHandle)

The COPYSPECIAL command directs DynaComm to copy text or graphics to a destination.

Arguments

sDestination

The sDestination argument is specified by one of the following values

0 - for PRINTER

1 - for FILE

2 - for CLIPBOARD.

PRINTER

If you want to send text from a session window to the printer, you must use PRINTER value as the Destination argument and the TEXT value as the Format argument (see the Format argument below). The PRINTER value assumes that the user has made a selection in a session window with the SELECTION command and also assumes that the session window is the active window.

If you want to send a graphical capture of a session to the printer, you must include the BITMAP value as the sFormat argument (see the Format argument below). The PRINTER value assumes that a session window or a picture window is active. If a session window is active, the command captures the entire DynaComm application window and sends it to the printer (regardless of whether the script has made a selection in the session window). If a picture window is active, the command prints the contents of the picture window.

FILE FileName

If you want to save text from a session window to a file, you must use the FILE value as the Destination argument and the TEXT value as the sFormat argument (see the sFormat argument below). The pFileName argument must contain the file name in which to write the text. The FILE value assumes that the script has made a selection in the session window with the SELECTION command and also assumes that the session window is the active window.

CLIPBOARD

The CLIPBOARD value is valid with all three of the formats allowed for this command (see the sFormat argument below). When you include the TEXT or TABLE values, the CLIPBOARD value makes the same assumptions as the PRINTER value, but copies the text to the clipboard.

If a session window is active, this command captures the entire DynaComm application window and places it in the clipboard (regardless of whether the script has made a selection in the session window).

sFormat

The sFormat argument may be one of the following values

0 - for TEXT

1 - for TABLE

2 - for BITMAP

The TEXT value is available for all three destination values (see the sDestination argument above). The TABLE, and BITMAP values are available only with the CLIPBOARD destination value.

INVERT

The INVERT value of one (1) directs DynaComm to invert the colors of a bitmap before copying it to the destination. The INVERT value is available only when the command uses the CLIPBOARD and BITMAP values.

lWindowHandle

This integer argument specifies a session window in DynaComm to get the current selection from and must be a valid window handle.

Comments

This command returns zero (0) if successful and one (1) if DynaComm cannot complete this command. When copying text, the COPYSPECIAL command works in concert with the SELECTION or SELECTIONBUFFER commands.

DynaComm scripting language equivalent: Edit CopySpecial


Disconnect

Short Disconnect(long lWindowHandle)

The DISCONNECT command terminates the connection with the host.

Arguments

lWindowHandle

The integer argument specifies a session window in DynaComm for terminating the host connection. If this argument is zero (0), DynaComm will terminate all connected sessions.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Disconnect


Display

Short Display(short sRow, short sColumn, BSTR pString, boolean bCROnly, long lWindowHandle)

The DISPLAY command writes the contents of the specified string into the session window without sending it to the remote system.

Arguments

sRow, sColumn

The sRow, sColumn arguments indicate the row and column in the session window in which to display the string, where the first row is row zero, and the first column is column zero. If sRow and sColumn arguments are set to minus one (-1), DynaComm displays the string starting at the current cursor position.

pString

This string argument contains the characters to display.

bCROnly

The CRONLY argument set to TRUE causes the DISPLAY command to display carriage returns as carriage returns only (not followed by line feeds). If it is set to FALSE, the DISPLAY command displays a line feed character after every carriage return character displayed in the string.

Note: The CRONLY argument is not applicable to 3270 emulations.

lWindowHandle

This integer argument specifies a session window in DynaComm. If a session is connected in a session window, the lWindowHandle argument causes DynaComm to display the String argument in the session window specified by the lWindowHandle argument. If the lWindowHandle argument is zero (0), DynaComm displays the contents of the String argument in the currently highlighted/active and connected session window.

Comments

If a session is not ongoing/connected in the window specified by the lWindowHandle argument, or if the currently highlighted/active session does not have a connected session, no text is displayed in a window. The DISPLAY command will display a maximum of 254 characters at a time. This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Display


DropDTR

Short DropDTR(short sDelayLength)

The DROPDTR command directs DynaComm to hold low the DTR line of a session’s serial port for a specified number of milliseconds.

Arguments

sDelayLength

The sDelayLength argument is an integer specifying the length of time the DTR line is to be held low, where one delay unit equals one millisecond.

lWindowHandle

This integer argument specifies a session window in DynaComm.

Comments

This command is valid only for the serial ports and modems. This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: DropDTR


ExecuteScript

Short ExecuteScript(BSTR pScriptName, long lWindowHandle)

The EXECUTESCRIPT command allows a VB script to start a DynaComm script execution.

Arguments

pScriptName

The pScriptName argument specifies the DynaComm script to be executed. The argument can contain the script name and optionally a routine name within the script to begin execution. For example an argument of "myscript.dct" will execute at the beginning of the script. An argument of "myscript.dct*routine8" will execute starting at the label "routine8" within the script.

lWindowHandle

This integer argument specifies a session window in DynaComm which the script will execute its commands against. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Execute


Exit

Short Exit()

The EXIT command terminates the DynaComm application.

Arguments

This command requires no arguments.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Quit


FileClose

short FileClose(long lWindowHandle)

The FILECLOSE command terminates the text transfer process initiated by a LOGTOFILE command.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: File Close


FilePause

short FilePause(long lWindowHandle)

The FILEPAUSE command temporarily suspends the text transfer initiated by the active LOGTOFILE command, until a FILERESUME command is executed.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: File Pause


FileResume

short FileResume(long lWindowHandle)

The FILERESUME command restarts the text transfer suspended by a FILEPAUSE command.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: File Resume


HideToolbar

Short HideToolbar(BSTR pAttributes)

The HIDETOOLBAR command closes the specified toolbar, removing it from view in the application window.

Arguments

pAttributes

The pAttributes string argument is used to specify which toolbar to hide. It must be one of the following:

ALL, STANDARD, FILE, EDIT, SESSION, TRANSFER, TRACE, SCRIPT, OLE, or the name assigned to a user-defined toolbar.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

Toolbars hidden via scripting will remain hidden, even after DynaComm has been restarted, until shown again.

DynaComm scripting language equivalent: Toolbar Hide


Initialize

Boolean Initialize()

The INITIALIZE command attaches the user program to the FutureSoft Fsievent ActiveX Control, allowing access to and control of the DynaComm application without placing the FutureSoft Fsievent ActiveX Control on a form.

Arguments

This command requires no arguments.

Comments

This command must be used before accessing any of the FutureSoft Fsievent ActiveX Control methods.

DynaComm scripting language equivalent: no equivalent


KermitCopy

Short KermitCopy(BSTR pSource, BSTR pDestination, long lWindowHandle)

Sends the KERMITCOPY command packet to the remote (server) system. The remote system must support Kermit server mode.

Arguments

pSource

The pSource argument is a string specifying the file to copy on the remote system and must be a valid file name on that system.

pDestination

The pDestination argument specifies the file name for the copy of the pSource file on the remote system and must be a valid file name on that system.

lWindowHandle

This integer argument specifies a session window in DynaComm.

Comments

This command returns zero (0) if successful and one (1) if an error occurred. You must specify the Kermit binary transfer protocol for a session window before performing this operation. The remote system must be in Kermit server mode.

Because Kermit commands are treated as file transfers, DynaComm will NOT display host responses from the remote system in the session window.

DynaComm scripting language equivalent: Kermit Copy


KermitDirectory

Short KermitDirectory(BSTR pDirectory, long lWindowHandle)

Sends the KERMITDIRECTORY command to the remote (server) system. The remote system must support Kermit server mode.

Arguments

pDirectory

The pDirectory argument is a string specifying the directory name for which the contents will be listed.

lWindowHandle

This integer argument specifies a session window in DynaComm.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

You must specify the Kermit binary transfer protocol for a session window before performing this operation. The remote system must be in Kermit server mode.

Because Kermit commands are treated as file transfers, DynaComm will NOT display host responses from the remote system in the session window.

DynaComm scripting language equivalent: Kermit Directory


KermitErase

Short KermitErase(BSTR pFileName, long lWindowHandle)

Sends the KERMITERASE command to a remote system. The Kermit erase command deletes a file from a directory on the remote system. The remote system must support Kermit server mode.

Arguments

pFileName

The pFileName argument is a string specifying the name of the file to be deleted from the remote system.

lWindowHandle

This integer argument specifies a session window in DynaComm.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

You must specify the Kermit binary transfer protocol for a session window before performing this operation. The remote system must be in Kermit server mode.

Because Kermit commands are treated as file transfers, DynaComm will NOT display host responses from the remote system in the session window.

DynaComm scripting language equivalent: Kermit Erase


KermitFinish

Short KermitFinish(long lWindowHandle)

Sends a KERMITFINISH packet to the remote Kermit server. The remote system must support Kermit server mode.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

You must specify the Kermit binary transfer protocol for a session window before performing this operation. The remote system must be in Kermit server mode.

Because Kermit commands are treated as file transfers, DynaComm will NOT display host responses from the remote system in the session window.

DynaComm scripting language equivalent: Kermit Finish


KermitFreeSpace

Short KermitFreeSpace(long lWindowHandle)

The KERMITFREESPACE command displays the number of free bytes on the remote system. The remote system must support Kermit server mode.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

You must specify the Kermit binary transfer protocol for a session window before performing this operation. The remote system must be in Kermit server mode.

Because Kermit commands are treated as file transfers, DynaComm will NOT display host responses from the remote system in the session window.

DynaComm scripting language equivalent: Kermit Freespace


KermitHelp

Short KermitHelp(BSTR pHelpTopic, long lWindowHandle)

The KERMITHELP command displays a brief summary of instructions on a topic of the remote system's operation. The remote system must support Kermit server mode.

Arguments

pHelpTopic

The pHelpTopic is a string specifying the name of a topic included in the online help of the remote system.

lWindowHandle

This integer argument specifies a session window in DynaComm.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

You must specify the Kermit binary transfer protocol for a session window before performing this operation. The remote system must be in Kermit server mode.

Because Kermit commands are treated as file transfers, DynaComm will NOT display host responses from the remote system in the session window.

DynaComm scripting language equivalent: Kermit Help


KermitLogout

Short KermitLogout(long lWindowHandle)

The KERMITLOGOUT command a Kermit logout packet to the remote Kermit server. The remote system must support Kermit server mode.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

You must specify the Kermit binary transfer protocol for a session window before performing this operation. The remote system must be in Kermit server mode.

Because Kermit commands are treated as file transfers, DynaComm will NOT display host responses from the remote system in the session window.

DynaComm scripting language equivalent: Kermit Logout


KermitMessage

Short KermitMessage(BSTR pReceiver, BSTR pMessage, long lWindowHandle)

The KERMITMESSAGE command sends a short message to an account on the remote system. The remote system must support Kermit server mode.

Arguments

pReceiver

The pReceiverName is a string specifying a valid user name on the remote system.

pMessage

The pMessageText is the string sent to the user name on the remote system.

lWindowHandle

This integer argument specifies a session window in DynaComm.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

You must specify the Kermit binary transfer protocol for a session window before performing this operation. The remote system must be in Kermit server mode.

Because Kermit commands are treated as file transfers, DynaComm will NOT display host responses from the remote system in the session window.

DynaComm scripting language equivalent: Kermit Message


KermitNewDirectory

Short KermitNewDirecotry(BSTR pDirectoryName, long lWindowHandle)

The KERMITNEWDIRECTORY command changes the current working directory on the remote system to a new directory. The remote system must support Kermit server mode.

Arguments

pDirectoryName

The pDirectoryName argument is a string specifying the new working directory on the remote system.

lWindowHandle

This integer argument specifies a session window in DynaComm.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

You must specify the Kermit binary transfer protocol for a session window before performing this operation. The remote system must be in Kermit server mode.

Because Kermit commands are treated as file transfers, DynaComm will NOT display host responses from the remote system in the session window.

DynaComm scripting language equivalent: Kermit NewDirectory


KermitRename

Short KermitRename(BSTR pOldFile, BSTR pNewFile, long lWindowHandle)

The KERMITRENAME command changes the name of a file on the remote system to a new name. The remote system must support Kermit server mode.

Arguments

pOldFile

The pOldFileName argument is a string, specifying the name of the file to change on the remote system.

pNewFile

The pNewFileName is a string argument, specifying the new name for the file on the remote system.

lWindowHandle

This integer argument specifies a session window in DynaComm.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

You must specify the Kermit binary transfer protocol for a session window before performing this operation. The remote system must be in Kermit server mode.

Because Kermit commands are treated as file transfers, DynaComm will NOT display host responses from the remote system in the session window.

DynaComm scripting language equivalent: Kermit Rename


KermitType

Short KermitType(BSTR pFileName, long lWindowHandle)

The KERMITTYPE command displays the contents of a file located on the remote system. The remote system must support Kermit server mode.

Arguments

pFileName

The pFileName argument is a string specifying a file on the remote system.

lWindowHandle

This integer argument specifies a session window in DynaComm.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

You must specify the Kermit binary transfer protocol for a session window before performing this operation. The remote system must be in Kermit server mode.

Because Kermit commands are treated as file transfers, DynaComm will NOT display host responses from the remote system in the session window.

DynaComm scripting language equivalent: Kermit Type


KermitWho

Short KermitWho(BSTR pUserName, long lWindowHandle)

The KERMITWHO command issues the Kermit who command to the remote system. The remote system must support Kermit server mode.

Arguments

pUserName

The pUserName argument is an optional string argument. If the argument is a null string , the command displays the names of all the people logged into the remote system. If the argument is not a null string, the command displays a message indicating the status of a particular person on the remote system.

lWindowHandle

This integer argument specifies a session window in DynaComm.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

The results of this command vary from system to system. The implementation of the Kermit who command may be different from one system to the next.

You must specify the Kermit binary transfer protocol for a session window before performing this operation. The remote system must be in Kermit server mode.

Because Kermit commands are treated as file transfers, DynaComm will NOT display host responses from the remote system in the session window.

DynaComm scripting language equivalent: Kermit Who


KeyMapSettings

Short KeymapSettings(short sProcess, BSTR pFileName, long lWindowHandle)

The KEYMAPSETTINGS command will either LOAD the keymap file specified by the file name argument, SAVE the current keyboard mapping to the specified file name, or RESET the keyboard mapping to the default settings for the emulation.

Arguments

sProcess

The State argument is specified by one of the following values

1 - for LOAD

2 - for SAVE

3 - for RESET

pFileName

The pFileName argument is a string specifying the keymap file to be loaded or saved to. The pFileName argument must specify a valid file name for your system.

lWindowHandle

This integer argument specifies a session window in DynaComm.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Keymap Save, Keymap Load, Keymap Reset


LogToFile

short LogToFile(BSTR pFileName, long lWindowHandle)

The LOGTOFILE command activates the option to log incoming data to a file.

Arguments

pFileName

The pFileName argument is a string specifying the name of the file to which the incoming data will be logged. You must enter a file name; DynaComm will not prompt for one and if no name is specified no log will be written.

lWindowHandle

This integer argument identifyies a particular session window in DynaComm.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: LogtoFile


MakeAppVisible

Short MakeAppVisible(short sVisible)

The MAKEAPPVISIBLE command will show or hide the DynaComm Application.

Arguments

sVisible

The sVisible argument is an integer defining the visibility of the DynaComm Application.

0 - NOT VISIBLE

1 - VISIBLE

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: no equivalent


MapKey

short MapKey(short sModifier, short sKey, boolean bres1, short sres2, short sres3, BSTR pString, long lWindowHandle)

The MAPKEY command remaps a key (or key combination) to a new definition. The definition can be a meta key or a string.

Arguments

sModifier

The sModifier argument is specified by the sum of one or more of the following values

0 - for No Modifiers

1 - for ALT

2 - for CTRL

4 - for SHIFT

8 - for LEFTSIDE

16 - for RIGHTSIDE

sKey

The sKey argument specifies a valid key name to be modified. The valid keys are letters (A through Z), digits (0 through 9), or one of the key names listed in the table below.

Key Name Indicated Key

Add Plus Key (Num Pad)

Alt Alternate Key

Back Backspace Key

Cancel Cancel Key

Capital Cap Lock Key

Clear Clear Key

CtrlKey Control Key

Decimal Period Key (Num Pad)

Delete Delete Key

Divide Slash Key / (Num Pad)

Down Down Arrow Key

End End Key

Escape Escape (Esc) Key

F1 Function Key One

through

F16 Function Key Sixteen

Home Home Key

Insert Insert Key

Left Left Arrow Key

Multiply Asterisk Key (Num Pad)

Next Next Key

NumLock Num Lock Key

NumPad0 Zero Key (Num Pad)

through

NumPad9 Nine Key (Num Pad)

Pause Pause Key

Print Print Key

Prior Prior Key

Reset Reset Key

Return Return (or Enter) Key

Right Right Arrow Key

ScrLock Scroll Lock Key

Select Select Key

Separator Comma Key (Num Pad)

ShiftKey Shift Key

Space Space Bar

Subtract Minus Key (Num Pad)

Tab Tab Key

Up Up Arrow Key

186 Semicolon and Colon Key

187 Equals and Plus Key

188 Comma and Less Than Key

189 Hyphen and Underline Key

190 Period and Greater Than Key

191 Slash and Question Mark Key

192 Grave and Tilde Key

219 Left Bracket and Left Brace Key

220 Backslash and Bar Key

221 Right Bracket and Right Brace Key

222 Quote and Double Quote Key

bRes1

Reserved field, must be set to one (1).

sres2

Reserved field, must be set to zero (0).

SRES3

Reserved field, must be set to zero (0).

pString

The pString argument consists of any valid string (literal, variable, function, meta key function, etc). Meta key function must be inclosed in {} brackets.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0),DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Key


Menu

short Menu()

The MENU command reconfigures DynaComm's application menu, allowing the addition or restriction of available menu options. The MENU command is followed by one or more menu options. You must follow the menu options with a MENUEND command, indicating the end of the menu definition.

Arguments

This command requires no arguments.

Comments

The menu options are any of the following menu commands: MenuInsertItem, MenuInsertPopup, or MenuInsertSeparator. If you do not include the menu options, DynaComm displays only DynaComm's application control menu. (The control menu is also called the System menu and is located in the upper left hand corner of the window.)

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm restores its standard menu bar upon executing a MENUCANCEL command, or upon the end of script execution.

DynaComm scripting language equivalent: Menu


MenuCancel

Short MenuCancel()

The MENUCANCEL command removes the menu bar created by a VB Script, restoring DynaComm's standard menu bar.

Arguments

This command requires no arguments.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Menu Cancel


MenuDeleteItem

Short MenuDeleteItem(short sSystemMenu, short sMenuItem)

The MENUDELETEITEM command removes an item from a pop-up menu.

Arguments

sSystemMenu

The sSystemMenu argument is an integer expression indicating the pop-up menu from which the item will be deleted. The first pop-up menu on the left side of the menu bar is pop-up menu one (1).

sMenuItem

The sMenuItem argument is an integer expression indicating the position of the item to be deleted. The first item in the pop-up menu is item one (1). When counting or numbering items, be sure to count both menu items and separators.

Comments

This command returns zero (0) if successful and one (1) if an error occurred. If there is no menu defined via the MENU command, the ERROR function returns TRUE.

Once an item is deleted, all items following the deleted item move up one position in the pop-up menu. For example, if a pop-up menu contains five items and item three is deleted, items four and five immediately move up one position in the menu, becoming items three and four.

DynaComm scripting language equivalent: Menu Delete Item


MenuDeletePopup

Short MenuDeletePopup(short sSystemMenu)

The MENUDELETEPOPUP command removes a pop-up menu from the menu bar.

Arguments

sSystemMenu

The sSystemMenu argument is an integer expression indicating the pop-up menu to be deleted. The first pop-up menu on the left side of the menu bar is pop-up menu one (1).

Comments

This command returns zero (0) if successful and one (1) if an error occurred. If there is no menu defined via the MENU command, the ERROR function returns TRUE.

Once a pop-up menu is deleted, all pop-up menus following the deleted menu move left one position on the menu bar. For example, if a pop-up menu contains five pop-up menus and menu three is deleted, menus four and five immediately move left one position on the menu bar, becoming pop-up menus three and four.

DynaComm scripting language equivalent: Menu Delete Popup


MenuEnd

Short MenuEnd()

The MENUEND command defines the end of a user Menu definition.

Arguments

The command requires no arguments.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: End


MenuInsertItem

Short MenuInsertItem(short sSystemMenu, short sMenuItem, short sIndex, BSTR pCaption, short sEnabledState, boolean bIsChecked, short sCommandTrigger)

The MENUINSERTITEM command adds an item to a pop-up menu.

Arguments

sSystemMenu

The sSystemMenu argument is an integer expression indicating the pop-up menu into which the item will be inserted. The first pop-up menu on the left side of the menu bar is pop-up menu one (1).

sMenuItem

The sMenuItem argument is an integer expression indicating the item’s position in the menu. The first item in the pop-up menu is item one (1). When counting or numbering items, be sure to count both menu items and separators.

sIndex

The sIndex argument is an integer (from 0 to 95) and is used to identify the menu item selected by a user during execution.

pCaption

The pCaption argument is string indicating the name of the menu item.

sEnabledState

The sEnabledState argument is set to TRUE to indicate that the menu item is active (not dimmed or grayed), and can be selected. If this argument is set to FALSE, the menu item will not be enabled.

bIsChecked

The bIsChecked argument is set to TRUE to indicate the menu item is checked and any command associated with the menu item is active. If this argument is set to FALSE, the menu item will appear unchecked.

sCommandTrigger

The sCommandTrigger argument is an index to report back to the VB Script when the Menu Item is selected or checked by the user.

Comments

This command returns zero (0) if successful and one (1) if an error occurred. If there is no menu defined via the MENU command, the ERROR function returns TRUE.

Once an item is inserted, all items following the inserted item move down one position in the pop-up menu. For example, if a pop-up menu contains five items and item is inserted as item three, existing items three, four, and five immediately move down one position in the menu, becoming items four, five, and six.

DynaComm scripting language equivalent: Menu Insert Item


MenuInsertPopup

Short MenuInsertPopup(short sSystemMenu, BSTR pCaption)

The MENUINSERTPOPUP command adds a pop-up menu to the menu bar.

Arguments

sSystemMenu

The sSystemMenu argument is an integer expression indicating the pop-up menu to be added to the menu bar.

The first pop-up menu on the left side of the menu bar is pop-up menu one (1).

pCaption

The pCaption argument is string indicating the name of the pop-up menu.

Comments

This command returns zero (0) if successful and one (1) if an error occurred. If there is no menu defined via the MENU command, the ERROR function returns TRUE.

Once a pop-up menu is added to the menu bar, all menus following the added menu move right one position on the menu bar. For example, if the menu bar contains five pop-up menus and a pop-up menu is added as menu three, existing menus three, four, and five immediately move right one position on the menu bar, becoming menus four, five, and six.

DynaComm scripting language equivalent: Menu Insert Popup


MenuItem (Command)

MenuItem

Short MenuItem(short sIndex, BSTR pCaption, boolean bEnabled, boolean bChecked)

The MENUITEM command adds a menu item to the most recently added pop-up menu.

Arguments

sIndex

The sIndex argument is an integer (from 0 to 95) and is used to identify the menu item selected by a user during execution.

pCaption

The pCaption argument is string indicating the name of the menu item.

sEnabledState

The sEnabledState argument is set to TRUE to indicate that the menu item is active (not dimmed or grayed), and can be selected. If this argument is set to FALSE, the menu item will not be enabled.

bIsChecked

The Checked argument is set to TRUE to indicate the menu item is checked and any command associated with the menu item is active. If this argument is set to FALSE, the menu item will appear unchecked.

Comments

This command returns zero (0) if successful and one (1) if an error occurred. If there is no menu defined via the MENU command, the ERROR function returns TRUE.

You may include a maximum of 96 items in a menu definition.

When the user selects one of the defined menu items during execution, DynaComm will trigger an event in the VB Script through the corresponding void MenuItem (short sIndex, long lpara) subroutine. The sIndex assigned at menu item definition will be passed to this subroutine to identify the selected menu item.

DynaComm scripting language equivalent: (Menu) Item


MenuPopup

Short MenuPopup(short sSysMenuIndx, BSTR pCaption)

The MENUPOPUP command adds a pop-up menu to the menu bar.

Arguments

pCaption

The pCaption argument is a string specifying the name of the pop-up menu DynaComm displays.

sSysMenuIndx

The sSysMenuIndx takes the added pop-up menu from DynaComm's default defined menu. If the sSysMenuIndx is zero (0), the added pop-up menu bar contains no items from the system menu bar. The sSysMenuIndx argument is a numeric specifying the predefined menu, as defined below.

System Menu Active window type*

SYSTEM 1 File MAIN

SYSTEM 2 File SESSION, SCRIPT, MEMO

SYSTEM 3 Edit MEMO, SCRIPT

SYSTEM 4 Edit SESSION

SYSTEM 5 Script MAIN, MEMO, SCRIPT, SESSION

SYSTEM 6 View MAIN, MEMO, SCRIPT, SESSION

SYSTEM 7 Tools MAIN, SESSION

SYSTEM 8 Tools MEMO, SCRIPT

SYSTEM 9 Help MAIN, MEMO, SCRIPT, SESSION

SYSTEM 10 Window MEMO, SCRIPT, SESSION

SYSTEM 11 Session SESSION

SYSTEM 12 Insert MEMO

*The visible menus vary depending on which type of window is active (in focus). MAIN refers to the DynaComm application window. SESSION refers to session windows, MEMO to memo windows, and SCRIPT to a script editor window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: (Menu) Popup


MenuSeparator

Short MenuSeparator()

The MENUSEPARATOR command adds a menu item separator, displayed as a horizontal line, to the pop-up menu.

Arguments

This command requires no arguments.

Comments

This command returns zero (0) if successful and one (1) if an error occurred. If there is no menu defined via the MENU command, the ERROR function returns TRUE.

DynaComm scripting language equivalent: (Menu) Separator


MenuUpdate

Short MenuUpdate(short sSystemMenu, short sItemNumber, BSTR pNewCaption, short sEnabledState, boolean bIsChecked)

The MENUUPDATE command updates a previously defined menu option.

Arguments

sSystemMenu

The sSystemMenu argument is an integer expression indicating the pop-up menu into which the item will be inserted.

The first pop-up menu on the left side of the menu bar is pop-up menu one (1). The control menu is specified by the integer zero.

sMenuItem

The sMenuItem argument is an integer expression indicating the item’s position in the menu. The first item in the pop-up menu is item one (1). When counting or numbering items, be sure to count both menu items and separators; however, you may only update menu items, not separators. If the argument is set to zero (0), the pNewCaption argument becomes the text for the menu's name, and the bIsEnabled and bIsChecked arguments change the state of each menu item.

pNewCaption

The pNewCaption argument is string specifying the replacement text for a menu or item.

sEnabledState

The sEnabledState argument is set to TRUE to indicate that the menu item is active (not dimmed or grayed), and can be selected. If this argument is set to FALSE, the menu item will not be enabled.

bIsChecked

The bIsChecked argument is set to TRUE to direct DynaComm to place a check mark before the specified item in the menu. Item is active.

If this argument is set to FALSE, DynaComm will remove a check mark preceding the specified item in the menu.

Comments

This command returns zero (0) if successful and one (1) if an error occurred. If there is no menu defined via the MENU command, the ERROR function returns TRUE.

DynaComm scripting language equivalent: Menu Update


Paste

Short Paste(long lWindowHandle)

The PASTE command copies text from the clipboard to the current selection in a DynaComm child window.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm to paste the contents of the clipboard as a text selection. If the lWindowHandle argument is zero (0), DynaComm will paste the text into the active window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Edit Paste


PrintSession

Short PrintSession(short sState, long lWindowHandle)

The PRINTSESSION command redirects the data appearing in the session window to the printer.

Arguments

sState

The sState argument is specified by one of the following values:

0 - for ON

1 - for OFF

2 - for PAUSE

3 - for RESUME

The ON value directs DynaComm to send all data received in the session window to the printer. The OFF value directs DynaComm not to send data received in the session window to the printer. The PAUSE value directs DynaComm to suspend the sending of data received in the session window to the printer until a PRINT SESSION RESUME command is executed. The RESUME value resumes the PRINT SESSION ON command suspended by a PRINT SESSION PAUSE command.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the WindowHandle is zero (0), the active session window is printed.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

The file is printed according to the active parameters of the open print channel. If no print channel is currently open, the PRINT SESSION command automatically opens a print channel and uses the default print parameters.

DynaComm scripting language equivalent: Print Terminal


Resume

Short Resume()

The RESUME commands cancels the current wait state. The user must set up a control (button) to be used to activate the Resume command.

Arguments

This command requires no arguments.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Resume


Save

Short Save(BSTR pFileName, long lWindowHandle)

The SAVE command saves DynaComm's active settings to the session file specified by the file name.

Arguments

pFileName

The pFileName argument is a string specifying the session file in which to save the settings. The pFileName argument must specify a valid file name for your system. If you do not specify a file extension in the pFileName argument, the file is automatically given the file extension SES.

lWindowHandle

This integer argument specifies a session window in DynaComm.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Save


Scroll

short Scroll(short sDirection, short sNumCharacters, long lWindowHandle)

The SCROLL command directs DynaComm to scroll in the specified direction for specified number of units (lines or characters). It is the same as clicking on the up/down/left/right arrow on the vertical/horizontal scroll bar. It is applicable only when the vertical/horizontal scroll bar is displayed (indicating the entire host screen is not visible in the session window).

Arguments

sDirection

The sDirection argument is an integer value specifying the direction to scroll.

2 - for UP

3 - for DOWN

0 - for LEFT

1 - for RIGHT

sNumCharacters

The sNumCharacters argument is an integer specifying the number of lines or Column positions to scroll in the specified direction.

lWindowHandle

This integer argument specifies a session window in DynaComm.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

If the number of units to scroll exceeds the limit of the scroll buffer, DynaComm will stop scrolling at the last row/column.

DynaComm scripting language equivalent: Scroll Down, Scroll Left, Scroll Right, Scroll Up


Selection

Short Selection(short sBeginningRow, short sEndingRow, long lWindowHandle)

The SELECTION Command selects a block in a session window. Although the command selects the block, the block will not appear highlighted in the window.

Arguments

sBeginningRow

The sBeginningRow argument is a numeric specifying the number of the first line of the desired block, where the first line in a window is considered line zero.

sEndingRow

The sEndingRow argument is a numeric specifying the number of the last line of the desired block.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will select a block in the active window.

The sBeginningRow and sEndingRow arguments must not exceed the number of rows for a window. When you want to make a selection in a session window, the number of rows in an emulation (for example, the model in a 3270 emulation) determines the number of lines in the session window and the possible values of the sBeginningRow and sEndingRow arguments. If both the sBeginningRow and sEndingRow arguments are larger than the range allowed for a window, DynaComm will not make a selection. DynaComm does not make a default selection in the window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Selection


SelectionBuffer

Short SelectionBuffer(long lWindowHandle)

The SELECTIONBUFFER command selects the entire contents of the session window's scroll buffer as a block of text. As with the SELECTION command, this command makes an invisible selection. This command is not for emulation with screens composed as pages, such as a 3270 terminal.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm. If the WindowHandle is zero (0), the selection will be from the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Selection Buffer


SelectionPrint

Short SelectionPrint(long lWindowHandle)

The SELECTIONPRINT command prints the current selection as established by the SELECTION or SELECTIONBUFFER commands.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm.

If the WindowHandle is zero (0), the selection will be from the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

If DynaComm has not previously executed the SELECTION command on an open window, the SELECTIONPRINT command prints a blank page.

DynaComm scripting language equivalent: Selection Print


SelectionSave

Short SelectionSave(BSTR pFileName, boolean bAppendFile, boolean bIsTable, long lWindowHandle)

The SELECTIONSAVE command saves or appends the current selection in a session window to the specified file. This command works only with a selection made with the SELECTION or SELECTION BUFFER commands.

Arguments

pFileName

The pFileName argument is a string specifying the name of the file in which to save the selection or a null string ("") if doing an append action. The pFileName argument must specify a valid file name for your system.

bAppendFile

The bAppendFile argument is a string specifying the name of the file in which to append the selection or a null string ("") if doing a save action. The bAppendFile argument must specify a valid file name for your system.

bIsTable

The bIsTable argument set to TRUE saves the data in a tabular format. All data separated by two or more consecutive spaces will be tab delimited.

lWindowHandle

This integer argument identifying the selection from a particular session window in DynaComm. If the WindowHandle is zero (0), the selection will be from the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Selection Save, Selection Append


SelectionSend

Short SelectionSend(long lWindowHandle)

The SELECTIONSEND command sends the selected text to the active DynaComm session window. This command works only with a selection made with the SELECTION or SELECTIONBUFFER commands.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm.

If the WindowHandle is zero (0), the selection will be from the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Selection Send


SendBreak

Short SendBreak(short sDelayLength, long lWindowHandle)

The SENDBREAK command sends the break signal for a specified number of milliseconds.

Arguments

sDelayLength

The sDelayLength argument is a numeric specifying the length the break is to be sent, where one delay unit equals one millisecond.

lWindowHandle

This integer argument specifies a session window in DynaComm.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Sendbreak


SendString

Short SendString(short sNOCR, short sOnePacket, short sWaitEcho, BSTR pString, short sRow, short sColumn, long lWindowHandle)

The SENDSTRING command sends text to an open/connected DynaComm session window.

Arguments

sNOCR

The sNOCR argument determines if DynaComm sends a CR following the contents of the pString argument.

0 - for SEND CR

1 - for DONOT SEND CR

3270 Emulations: Instead of a carriage return, the SEND command automatically appends {NEWLN} to the end of a line. Use the NOCR option to remove the {NEWLN}.

sOnePacket

The sOnePacket argument determines if DynaComm sends the pString argument as one network packet or not.

0 - for NOT OnePacket

1 - for SEND as OnePacket

3270 Emulations: The optional ONEPACKET Keyword is not applicable.

sWaitEcho

The sWaitEcho argument requires DynaComm to send the string argument one character at a time, waiting until the remote system echoes back each character before sending the next character in the string. DynaComm continues until it sends all of the characters in the pString argument.

0 - for Not WaitEcho

1 - for WaitEcho

3270 Emulations: The optional WAITECHO Keyword is not applicable.

pString

The pString argument contains the text DynaComm sends to a window.

sRow, sColumn

These arguments apply only to block mode emulations. The (Row, Col) coordinate set indicates the row and column where DynaComm will place the text in a window, where the first row in the window is row zero, and the first column is column zero. If the emulation is not block mode, set the sRow and sColumn to minus one (-1).

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

To send a null character, use a string composed of a caret and an at-sign: ^@ .

DynaComm scripting language equivalent: Send


SetBinaryXfers

Short SetBinaryXfers(long lProtocol, long lWindowHandle)

The SETBINARYXFERS command sets the binary transfer protocol or host environment for a session.

Arguments

lProtocol

The lProtocol argument is an integer value specifying the binary transfer protocol. The lProtocol argument is specified by one of the following values:

0 - for IND$File

1 - for IXF

4 - for ZMODEM

5 - for KERMIT.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful.

If an error has occurred, it will return one of the following values:

1 = evaluation version has expired

2 = invalid serial number

3 = wrong product version number

4 = failed to load

5 = unknown error

DynaComm scripting language equivalent: Set Binarytransfers


SetConnection

Short SetConnection(BSTR pConnection, BSTR pCommand, long lWindowHandle)

The SETCONNECTION command specifies which type of communications connector DynaComm uses when it connects to a remote system.

Arguments

pConnection

The pConnection argument is a string specifying the name of the communications connector. Connector DLLs for DynaComm are located in the Conn directory by default. Valid strings are shown in the following table

Connector String

Direct Serial COM (DIRECT)

Modem COM (TAPI)

Meridian LAT32 LAT32

Telnet WINSOCK

Microsoft SNA Server * SNA or FMI

* Available only in appropriate Client Option package

pCommand

The pCommand argument is a string specifying any optional commands which you should pass to the communications connector during its initialization. These commands are specific to the communications connector and its DLL.

Each command string consists of a phrase or a number of phrases separated by a unique separator character

CommandPhrase Separator CommandPhrase Separator....

In the command string description, Separator is a single character, which is not alphanumeric, and does not appear in any CommandPhrase specified for a connector. For example, the address of a node on a TELNET network commonly includes numbers with periods to separate parts of the address. The address could be a CommandPhrase, but since a period is part of the address, you must use a character other than a period (possibly a semicolon) to separate each CommandPhrase from other CommandPhrases in the command string. A Separator must follow each CommandPhrase. If you omit a phrase, DynaComm uses a default value for that setting, but the Separator for that CommandPhrase must still appear in the command string. For example, if a connector needed three CommandPhrases, but you want to use a default or previous setting for the second CommandPhrase, the Command argument might appear as follows

"CommandPhrase1;;ComandPhrase3;" A semicolon is the Separator in this example.

The command string, like all strings in DynaComm may have a maximum of 254 characters. If you exceed this limit, the results are unpredictable.

Below is a list of connectors and their command strings. The list is not comprehensive and may include descriptions of connectors which are not part of your version of DynaComm

COM n

The COM clause directs DynaComm to use a serial communications port as the communications connector. The n argument is an integer which specifies a communications port. The value of n may be one, two, three, four, five, six, seven, eight, or nine. If the port is not valid for your computer, DynaComm displays the message "COM Port n Not Available" in a dialog box.

TELNET

"HostAddr Separator Port Separator"

The HostAddr phrase indicates either a host name located in your Hosts file or the Internet protocol address of the remote system.

The Port phrase is an integer specifying the TCP/IP port to which you wish to connect. Unless you are connecting to a specialized device, the port should be set to 23.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful.

If an error has occurred, it will return one of the following values:

1 = evaluation version has expired

2 = invalid serial number

3 = wrong product version number

4 = failed to load

5 = unknown error

DynaComm scripting language equivalent: Set Connection


SetDirectory

Short SetDirectory(short sDirectorySetting, BSTR pNewDirectory, short sCreate)

The SETDIRECTORY command specifies where to maintain the file directory for the specified file type.

Arguments

sDirectorySetting

The sDirectorySetting argument specifies the file type to change/set the path for a type of files. It is specified by one of the following values. Only the following file types are changeable.

1 - for SETTINGS

2 - for TASK

3 - for SCRIPT

4 - for MEMO

14 - for DNLOAD

15 - for MAPS

16 - for UPLOAD

sCreate

The sCreate argument directs DynaComm to create the specified directory if it does not exist.

0 - DO NOT CREATE

1 - CREATE

pNewDirectory

The pNewDirectory argument is a string specifying the path in which to maintain the indicated type of directory. The pNewDirectory argument must specify a valid directory for your system.

Comments

This command returns zero (0) if successful. If the sCreate value is zero, DynaComm will return one (1) if the specified directory does not exist. If the sCreate value is one, DynaComm will return two (2) if the specified directory cannot be created or if it already exists. If the directory already exists or if the subdirectories leading to the directory do not exist, DynaComm will return two (2).

DynaComm scripting language equivalent: Set Directory


SetEmulation

Short SetEmulation(BSTR pEmulation, long lWindowHandle)

The SETEMULATION command directs DynaComm to select a terminal emulation.

Arguments

pEmulation

The pEmulation argument is a string specifying the name of the emulation. Emulation DLLs for DynaComm are located in the Emul directory by default. The emulations in this directory depend upon those which you have installed. Valid strings for the pEmulation argument are shown in the following table:

Emulation String

ADDS Viewpoint/60 ADDSVP60

ANSI/TTY ANSI Note: Use EMULCONFIG to specify terminal model.

AT&T 605/705 ATT605 Note: Use EMULCONFIG to specify terminal model.

AT&T 4425 * ATT4425

VT Series vt420 Note: Use EMULCONFIG to specify terminal model.

HP 70092/94 * HP70094 Note: Use EMULCONFIG to specify terminal model.

Tandem 6530 * Tandem

TeleVideo TV950 Note: Use EMULCONFIG to specify terminal model.

TN3270 * IBM3270 Note: Use EMULCONFIG to specify terminal model.

TN3287 (print session) IBM3287

TN5250 * IBM5250

Wyse 50/60 WYSE

* Available only in appropriate Client Option package

The emulation is loaded with default settings; none of the settings in the previous emulation are transferred to the new emulation.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful.

If an error has occurred, it will return one of the following values:

1 = evaluation version has expired

2 = invalid serial number

3 = wrong product version number

4 = failed to load

5 = unknown error

DynaComm scripting language equivalent: Set Emulation


SetKeyBoard

Short SetKeyboard(short sSetting, long lWindowHandle)

The SETKEYBOARD command determines whether keystrokes are transmitted to the local or remote system.

Arguments

sSetting

The State argument is specified by one of the following values

3 - for BUFFER

2 - for ECHO

0 - for LOCK

1 - for UNLOCK

4 - for WAIT.

BUFFER

The BUFFER value directs DynaComm to buffer keystrokes until a KEYBOARDLOCK, KEYBOARDUNLOCK, or KEYBOARDECHO command is executed.

ECHO

The ECHO value directs DynaComm to transmit keystrokes to the local system only.

LOCK

The LOCK value directs DynaComm to transmit keystrokes to neither the local nor the remote system.

UNLOCK

The UNLOCK value directs DynaComm to transmit keystrokes to both the local and remote systems.

WAIT

The WAIT value directs DynaComm to buffer keystrokes until a KEYBOARDLOCK, KEYBOARDUNLOCK, KEYBOARDECHO, or WAIT command is executed.

lWindowHandle

This integer argument specifies a session window in DynaComm to change the keyboard state for. If the lWindowHandle argument is zero (0), the keyboard state is changed for the current active session.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Keyboard


SetWildCard

short SetWildcard(BSTR pAny, BSTR pAll)

The SET WILDCARD command changes the characters that normally represent arbitrary characters in a string.

Arguments

pAny

The pAny string argument becomes the character that represents any single arbitrary character. The question mark (?) normally represents this character.

pAll

This pAll string argument becomes the character that represents any number of arbitrary characters, including no (zero) characters. The asterisk (*) normally represents this character.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Set Wildcard


SetWindowTitle

Short SetWindowTitle(BSTR pNewTitle, long lWindowHandle)

The SETWINDOWTITLE command changes the string displayed in the active window's title bar to the specified string.

Arguments

pNewTitle

The pNewTitle argument specifies the string to be displayed.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Set Window Title


SetXDelay

Short SetXDelay(short sType, BSTR pDelayTime, long lWindowHandle)

The SETXDELAY command specifies how long DynaComm should wait, when performing a send to a 3270 system, for an XSYSTEM or an XCLOCK message from the host to be cleared before generating an execution error.

Arguments

sType

The sType argument is an integer value specifying the message type.

0 - for XSYSTEM

1 - for XCLOCK

pDelayTime

The pDelayTime argument is a string in the following format:

Hours:Minutes:Seconds

Hours and minutes are optional, but if hours are specified, minutes must also be specified.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0),DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

To determine if a run time error has occurred, use the ERROR() function or WHENERROR command.

DynaComm scripting language equivalent: Set Xclock, Set Xsystem


ShowPropertySheet

Short ShowPropertySheet(short sPropertySet, long lWindowHandle)

The SHOWPROPERTYSHEET command displays a DynaComm dialog box allowing you to modify an option on a tab within the Session Properties dialog.

Arguments

sPropertySet

The sPropertySet argument is specified by one of the following values

0 - PHONENUMBER

1 - EMULATION

2 - TERMINAL

3 - BINARYTRANSFER

4 - COMMUNICATIONS

5 - MODEM

6 - MOUSE

7 - WORKSPACE

8 - TRANSFERS

9 - KEYBOARDMAP

10 - KEYBOARDEDIT

11 - COLOREDIT

PHONENUMBER

The DynaComm CONNECTORS property sheet will be displayed.

EMULATION

The DynaComm EMULATIONS property sheet will be displayed.

TERMINAL

The DynaComm EMULATIONS property sheet will be displayed.

BINARYTRANSFER

The DynaComm FILE TRANSFERS property sheet will be displayed.

COMMUNICATIONS

The DynaComm CONNECTORS property sheet will be displayed.

MODEM

The DynaComm CONNECTORS property sheet will be displayed.

MOUSE

The DynaComm MOUSE property sheet will be displayed.

WORKSPACE

The DynaComm GENERAL property sheet will be displayed.

TRANSFERS

The DynaComm FILE TRANSFERS property sheet will be displayed.

KEYBOARDMAP

The subtab KEYBOARD on the DynaComm EMULATIONS property sheet will be displayed.

KEYBOARDEDIT

The subtab KEYBOARD on the DynaComm EMULATIONS property sheet will be displayed.

COLOREDIT

The subtab ATTRIBUTES on the DynaComm EMULATIONS property sheet will be displayed.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Settings


ShowToolbar

Short ShowToolbar(BSTR pAttributes)

The SHOWTOOLBAR command opens the specified toolbar, displaying it in the toolbar area of the application window.

Arguments

pAttributes

The pAttributes string argument is used to specify which toolbar to show. It must be one of the following:

ALL, STANDARD, FILE, EDIT, SESSION, TRANSFER, TRACE, SCRIPT, OLE, or the name assigned to a user-defined toolbar.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

Toolbars displayed via scripting will remain visible, even after DynaComm has been restarted, until hidden.

DynaComm scripting language equivalent: ToolbarShow


StopScript

Short StopScript(BSTR pScriptName, long lWindowHandle)

The STOPSCRIPT command stops the execution of the first instance found of the specified script.

Arguments

pScriptName

The pScriptName argument specifies the DynaComm script to stop execution. The name can be provided with or without the compiled script file extention (.dct).

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

The DCSError property will be set to TRUE if the lWindowHandle argument is not valid.

DynaComm scripting language equivalent: Cancel


UnInitialize

Boolean UnInitialize()

The UNINITIALIZE command is used detach a previous attach made with the Initialize command.

Arguments

This command requires no arguments.

Comments

This command must be used when the user has completed usage of the DynaComm application and/or before exiting the user application.

DynaComm scripting language equivalent: no equivalent


WaitChar

Short WaitChar(BSTR pChar, long lWindowHandle)

The WAITCHAR command directs DynaComm to pauses execution until the specified character is received in the session window.

Arguments

pChar

The pChar argument specifies a character for which to wait.

lWindowHandle

This integer argument specifies a session window in DynaComm to search for the specified character. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Wait Char


WaitEcho

Short WaitEcho(long lWindowHandle)

The WAITECHO command directs DynaComm to pause execution until any character is received from the remote system.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Wait Echo


WaitPrompt

Short WaitPrompt(short sNumChar, long lWindowHandle)

The WAITPROMPT command directs DynaComm to pause execution until DynaComm receives a number of characters in a session window.

Arguments

sNumChar

The sNumChar argument is an integer specifying a number of characters to receive.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Wait Prompt


WaitQuiet

Short WaitQuiet(BSTR pTime, long lWindowHandle)

The WAITQUIET command directs DynaComm to pause execution for a specified period of time wherein no character transmission occurs.

Arguments

pTime

The pTime argument is a string in the following format:

hh:mm:ss.fff

where hh is an optional integer character string for a number of hours, mm is an optional integer character string for a number of minutes, ss is a required integer character string for a number of seconds, and fff is an optional integer character string for a fraction of a second. For this command to pause a script for only a fraction of a second, the Time argument must have the following format:

0:0:0.fff

The format for pausing less than a second requires that you include a zero for the hours, minutes, and seconds strings (with the colon between each) and that you precede the fraction of a second string with a period.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Wait Quiet


WaitScreen

Short WaitScreen(long lWindowHandle)

The WAITSCREEN command directs DynaComm to pause execution until the remote host changes the data in the session window.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

Only one character needs to be updated for the session window to be considered a new screen.

DynaComm scripting language equivalent: Wait Screen


WaitString

Short WaitString(BSTR pEventString, BSTR pQuietTime, long lWindowHandle)

The WAITSTRING command pauses execution until DynaComm receives the specified string in a session window or the specified time elapses without character transmission.

Arguments

pEventString

The pEventString argument specifies the string for which DynaComm waits.

pQuietTime

The pQuietTime argument is a string in the following format:

Hours:Minutes:Seconds

Hours and minutes are optional, but if hours are specified, minutes must also be specified.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if the string is received, (1) if an error occurred, and (2) if the command times out.

DynaComm scripting language equivalent: Wait String


WaitStringsArray

long WaitStringsArray(variant ArrayofStrings, long lTimeout, long lWindowHandle)

The WAITSTRINGSARRAY command pauses execution of the script until DynaComm receives any of the specified strings in a session window or the specified time elapses without character transmission.

Arguments

ArrayofStrings

This argument identifies the string array containing the set of strings for which DynaComm waits.

lTimeout

This integer argument specifies the time period, in milliseconds, this command will wait for any of the specified strings to be received.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns a one-based index integer (into the array) of the string received, minus one (-1) if an error occurred, and zero (0) if the command times out. The DCSError property will be set to TRUE if the lWindowHandle argument is not valid.

DynaComm scripting language equivalent: no equivalent


WaitSystemReady

boolean WaitSystemReady(long lMilliseconds, long lWindowHandle)

The WAITSYSTEMREADY command forces DynaComm to wait until no data has been transferred to or from the host system for the specified time period, and then determines if the host system is ready for input.

Arguments

lMilliseconds

This integer argument identifies the length of time, in milliseconds, to wait until no data has been transferred to or from the host system.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will return the status of the active window.

Comments

A host is defined as ready for input if: 1) until no data has been transferred to or from the host system for the specified number of milliseconds, AND 2) the keyboard is unlocked.

The result is a Boolean value, where TRUE indicates that the specified Host is ready for input, and FALSE indicates that it is not. The DCSError property will be set to TRUE if the lWindowHandle argument is not valid.

This function is primarily used with block mode emulations, such as IBM3270 and Tandem 6530.

DynaComm scripting language equivalent: ??


WhenCancelCollect

short WhenCancelCollect(short sIndex, long lWindowHandle)

The WHENCANCELCOLLECT command directs DynaComm to cancel one or more WHENCOLLECT commands.

Arguments

sIndex

The sIndex argument is an integer specifying which WHEN Collect command to cancel.

lWindowHandle

This integer argument identifying a particular session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: ??


WhenCancelDisconnect

Short WhenCancelDisconnect(long lWindowHandle)

The WHENCANCELDISCONNECT command directs DynaComm to cancel the active WHEN DISCONNECT command.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: When Cancel


WhenCancelEcho

Short WhenCancelEcho(long lWindowHandle)

The WHENCANCELECHO command directs DynaComm to cancel the active WHEN ECHO command for the specified session.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: When Cancel


WhenCancelInput

Short WhenCancelInput(long lWindowHandle)

The WHENCANCELINPUT command directs DynaComm to cancel the active WHEN INPUT command.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: When Cancel


WhenCancelQuiet

Short WhenCancelQuiet(long lWindowHandle)

The WHENCANCELQUIET command directs DynaComm to cancel the active WHEN QUIET command.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: When Cancel


WhenCancelScreen

Short WhenCancelScreen(short sIndex, long lWindowHandle)

The WHENCANCELSCREEN command directs DynaComm to cancel one or more WHENSCREEN commands.

Arguments

sIndex

The sIndex argument is an integer specifying which WHEN SCREEN command to cancel.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: When Cancel


WhenCancelString

Short WhenCancelString(short sIndex, long lWindowHandle)

The WHENCANCELSTRING command directs DynaComm to cancel one or more WHENSTRING commands.

Arguments

sIndex

The sIndex argument is an integer specifying which WHENSTRING command to cancel.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: When Cancel


WindowClose

Short WindowClose(long lWindowHandle)

The WINDOWCLOSE command closes a specified window and prompts you to save any changes you have made.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Window Close


WindowMessage

Short WindowMessage(long lMessageID, long wParam, long lParam, long lWindowHandle)

The WINDOWMESSAGE command sends a message to the window specified in the lWindowHandle argument.

Arguments

lMessageID

The lMessageID argument is a low level message which dependents on actions that have occurred in Windows.

wParam

Refer to the Microsoft Windows Software Development Kit (SDK) for further information about window messages and their corresponding parameters.

lParam

The lParam argument is an integer containing information that is dependent on the particular window message.

lWindowHandle

This integer argument specifies a session window in DynaComm.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

Refer to the Microsoft Windows Software Development Kit (SDK) for further information about window messages and their corresponding parameters.

DynaComm scripting language equivalent: Window Message


WindowMove

Short WindowMove(short sXPos, short sYPos, short sWidth, short sHeight, long lWindowHandle)

The WINDOWMOVE command moves and sizes a window.

Arguments

sXPos, sYPos, sWidth, sHeight

The coordinate set (sXPos, sYPos, sWidth, sHeight) specifies the desired position and size of the window. It indicates the top left corner (sXPos, sYPos), sWidth, and sHeight. The coordinates of child windows are relative to the position of the application window.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the WindowHandle is zero (0) the DynaComm application window is moved/sized.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Window Move


WindowOpen

long WindowOpen(short sType, BSTR pFileName, boolean bReadOnly, short sXPos, short sYPos, short sWidth, short sHeight)

The WINDOWOPEN command opens a new window, or opens a window to display an existing file.

Arguments

sType

The integer sType argument specifies the type of DynaComm window to open.

1 - for SESSION

3 - for SCRIPT

4 - for MEMO

pFileName

The pFileName argument is a string specifying the file name to be opened. If a null string ("") is used, DynaComm opens a new window.

bReadOnly

The bReadOnly argument is used to set a window in read-only or read/write mode. A TRUE state sets read-only. The default state is FALSE.

sXPos, sYPos, sWidth, sHeight

The coordinate set (sXPos, sYPos, sWidth, sHeight) specifies the desired position and size of the window. It indicates the top left corner (sXPos, sYPos), sWidth, and sHeight. The coordinates of the child windows are relative to the position of the application window.

Comments

This command returns the WindowHandle (integer value) of the successfully opened window and minus one (-1) if an error occurred.

If the maximum number of windows are open in DynaComm, this command will not open another window. The maximum number of windows you may have open is limited only by the specific limitations of your computer, including the amount of available memory, number of communication ports, etc.

DynaComm scripting language equivalent: Window Open


WindowOrder

Short WindowOrder(short sType)

The WINDOWORDER command directs DynaComm to stack all open windows so that the top left corner of each window is accessible to tile all open document windows so you can view them at the same time.

Arguments

sType

The sType integer argument identifies the type of ordering to perform on the open windows.

0 - for ARRANGE

1 - for STACK

ARRANGE

Executing with the ARRANGE value is equivalent to selecting a Tile option in the Window menu. The windows are arranged to allow for maximum size.

STACK

Executing with the STACK value is equivalent to selecting the Cascade option in the Window menu. The windows are stacked from top to bottom without changing their current order.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Window Arrange, Window Stack


WindowSetActive

Short WindowSetActive(long lWindowHandle)

The WINDOWSETACTIVE command makes a particular window the active window.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Window Activate


WindowSetState

Short WindowSetState(short sNewStyle, long lWindowHandle)

The WINDOWSETSTATE command controls the display of a session window.

Arguments

sNewStyle

The sNewStyle argument is an integer value specifying the state in which the window will be placed.

0 - for MAXIMIZE

1 - for MINIMIZE

2 - for RESTORE

3 - for HIDE

4 - for UNHIDE

5 - for ACTIVATE

MAXIMIZE

The MAXIMIZE value enlarges the DynaComm window to fill the entire screen or enlarges one of DynaComm's child windows to fill the DynaComm application window.

MINIMIZE

The MINIMIZE value iconizes the given window, or causes DynaComm to run while appearing on the screen as an icon.

RESTORE

The RESTORE value restores DynaComm to the size and placement it had prior to execution of a MAXIMIZE or MINIMIZE command.

HIDE

The HIDE value hides the application window, or a child window of DynaComm, from view.

UNHIDE

The UNHIDE value displays the application window or a child window of DynaComm that the HIDE command has hidden. DynaComm will display the window with the same size and position it possessed prior to execution of the HIDE command.

ACTIVATE

The ACTIVATE value makes a particular window the active window.

lWindowHandle

This integer argument specifies a session window in DynaComm.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

DynaComm scripting language equivalent: Window Default, Window Hide, Window Maximize, Window Minimize, Window Restore, Window Unhide


DCSError

boolean DCSError()

This function is used to return an error condition for some of the DynaComm VB function commands. Refer to the Visual Basic functions for when DCSError applies. This property will be set to TRUE if an error occurs during the execution of the function, and will be set to FALSE if the function completed successfully.

Comments

DynaComm scripting language equivalent: Error ()


CursorPosition

long CursorPosition(long lWindowHandle)

The CURSORPOSITION function returns the host cursor position in a window's work space.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Result

The result is an integer, calculated using the following formula:

(row * column width) + column

The first line is row zero and the first column is column zero.

Comments

The DCSError property will be set to TRUE if the lWindowHandle argument is not valid.

Session windows display two cursors. One cursor is the host cursor. Its position in the session window is determined by the remote system to which DynaComm is connected. The second cursor is the local mouse cursor. This cursor shows where your mouse is presently pointing on the Windows desktop (such as other windows or other applications). In the session window, you can use the mouse cursor to determine where you are making a selection, and you can interact with the remote system using the session's mouse settings.

DynaComm scripting language equivalent: Cursor ()


Event Setup & Processing Commands

These are a special set of commands to allow VB Script to access DynaComm’s interrupt/event processing functionality. They are usually used in pairs, meaning that one command sets up the event condition to trigger on and then another command/routine is used to process the event when it is triggered.

WAIT events are one shot events and once triggered are removed from the event list. WHEN events are active until the user cancels the event trigger or the VB Script exits.


FieldInfo

Short FieldInfo(short sRequestType, short sFieldNumber, short sFieldRow, short sFieldColumn, long lWindowHandle)

The FIELDINFO function is only valid with IBM3270, IBM5250, and Tandem 6530 emulator sessions. It returns the requested attribute for the specified field in a session window.

Arguments

sRequestType

The sRequestType argument is an integer value specifying the requested attribute for the field.

0 - for EXFLDATTR

1 - for FLDATTR

2 - for FLDATTREXPOS

3 - for FLDLEN

4 - for FLDNUM

5 - for FLDPOS

EXFLDATTR

The EXFLDATTR function indicates the normal and extended field attributes for a field.

FLDATTR

The FLDATTR function indicates the field attributes for the specified field in a session window.

FLDATTREXPOS

The FLDATTREXPOS function indicates the normal and extended field attributes for the field at a specific position.

FLDLEN

The FLDLEN function indicates the length of the specified field in a session window.

FLDNUM

The FLDNUM function returns the field number, or identifier, of a field in a session window.

FLDPOS

The FLDPOS function indicates the absolute position of the beginning of the specified field in a session window.

sFieldNumber

The sFieldNumber argument is an integer and identifies a field in a session window.

sFieldRow

The sFieldRow argument is an integer specifying the row number of a field. The first row is considered row 0.

sFieldColumn

The sFieldColumn argument is an integer specifying the column number of a field. The first column is considered column 0.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0),DynaComm will use the active session window.

Results

EXFLDATTR, FLDATTREXPOS

For the Tandem 6530 emulation the result is an integer. However, you must resolve the result into its description with the bitwise functions: BAND, BNOT, BOR, and BXOR. The integer is composed of two bytes. Each of the bit positions have significance in determining the attributes for a field.

bits 0 – 2: Entry type

0 = Free entry

1 = Alpha

2 = Numeric

3 = Aphanumeric

4 = Full numeric

5 = Full numeric w/space

6 = Alpha w/space

7 = Alpha numeric w/space

bits 3 – 4: Extended data type

0 = Normal (keyboard)

1 = Upshift

2 = AID

4 = Any device (keyboard, AID)

6 = Reserved

bit 6: Uses enhanced color (1 = on)

bit 7: Protected/Unprotected (1 = protected)

For the IBM3270 emulation the result is an integer. However, you must resolve the result into its description with the bit-wise functions: BAND, BNOT, BOR, and BXOR. The integer is composed of two bytes. Each of the bit positions have significance in determining the attributes for a field.

High Byte Bit 7: x Not used

Bit 6: x Not used

Bit 5: 0 = Unprotected

1 = Protected

Bit 4: 0 = Alphanumeric

1 = Numeric

Bits 3, 2: 00 = Normal display, and Light pen not detected

01 = Normal display, and Light pen detected

10 = High intensity display, and Light pen detected

11 = No display, and Light pen not detected

Bit 1: 0 = No extended field attributes

1 = Extended field attributes specified

Bit 0: 0 = Not modified

1 = Modified

Low Byte Bit 7: 0 = Opaque

1 = Transparent

Bits 6,5,4: 000 = Default color

001 = Blue

010 = Red

011 = Pink

100 = Green

101 = Turquoise

110 = Yellow

111 = White (neutral)

Bit 3: 0 = Normal Intensity

1 = High Intensity

Bit 2: 0 = No Underscore

1 = Underscore

Bit 1: 0 = No Reverse video

1 = Reverse video

Bit 0: 0 = No Blink

1 = Blink

For the IBM5250 Emulation the result is an integer. However, you must resolve the result into its description with the bitwise functions: BAND, BNOT, BOR, and BXOR. The integer is composed of two bytes. Each of the bit positions have significance in determining the attributes for a field.

High Byte Bits 7,6: 01

Bit 5: 0 = Not a Bypass field

1 = Bypass field

Bit 4: 0 = Duplication not allowed in this field

1 = Duplication is allowed in this field

Bit 3: 0 = Field has not been Modified

1 = Field has been modified

Bits 2,1,0: 000 = Alphabetic shift

001 = Alphabetic only

010 = Numeric shift

011 = Numeric only

100 = Katakana shift

101 = Digits only (5294)

110 = I/O

111 = Signed numeric

Low Byte Bit 7: 0 = No auto enter

1 = Auto enter

Bit 6: 0 = Field exit key is not required

1 = Field exit key is required

Bit 5: 0 = Accept lowercase letters

1 = Translate operator-entered letters to uppercase

Bit 4: Reserved

Bit 3: 0 = Not a mandatory enter field

1 = Is a mandatory enter field

Bits 2,1,0: 000 = No adjust specified

001 = Reserved

010 = Reserved

011 = Reserved

100 = Reserved

101 = Right adjust, zero fill

110 = Right adjust, blank fill

111 = Mandatory fill

FLDNUM

The result is an integer field number.

FLDATTR

For the Tandem emulation the result is an integer value specifying one of the following field attributes:

Value Field Attribute

0 Unprotected

32 Protected

For the IBM3270 emulation the result is an integer value specifying one of the following field attributes:

Value Field Attribute

0 Normal (alphanumeric, unprotected)

16 Numeric (unprotected)

32 Protected (alphanumeric)

48 Numeric (protected)

For the IBM 5250 emulation the result is an integer value between hex 0x20 and 0x3F (decimal 32 – 64). This value corresponds to the IBM5250 screen attribute (full color).

FLDLEN

The result is a numeric value indicating the length, in characters, of the specified field.

FLDPOS

The result is a numeric value calculated using the following formula

(row * column width) + column

The first line is row zero and the first column is column zero.

Comments

The DCSError property will be set to TRUE if the lWindowHandle argument is not valid.

DynaComm scripting language equivalent: Exfldattr (), Fldattr (), Fldattrexpos (), Fldlen (), Fldnum (), Fldpos()


GetAppConfig

BSTR GetAppConfig(BSTR pString)

The GETAPPCONFIG function returns a string identifying the current state of a setting configured in the General or File Locations tabs of the Tools > Options dialog for the specified session window.

Arguments

pString

The pString argument must be a key string which is valid for the CONFIGUREAPP command. The GETAPPCONFIG function will return a string representing the current state of that setting.

See the ConfigureApp command for a list of key strings.

Result

The GETAPPCONFIG function will return a string representing the current state of the setting specified by the KeyString.

Comments

This returns a null string if an error occurred.

DynaComm scripting language equivalent: GetAppConfig ()


GetConnectorConfig

BSTR GetConnnectorConfig(BSTR pAttribute, long lWindowHandle)

The GETCONNECTORCONFIG function returns a string identifying the current state of a connector setting for the specified session window.

Arguments

pAttribute

The pAttribute string argument must be a key string recognized by the connector. The GETCONNCONFIG function will return a string representing the current state of that setting.

See the CONFIGURECONNECTOR command for a list of key strings.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Result

The GETCONNCONFIG function returns a string identifying the current state of a connector setting. For example, GETCONNCONFIG("DataBits") would return either the string 7 or the string 8.

Comments

This returns a null string if an error occurred.

DynaComm scripting language equivalent: GetConnConfig ()


GetDirectory

BSTR GetDirectory(short sDirectorySetting)

The GetDirectory function returns the current working directory for the specified type of file.

Arguments

sDirectorySetting

The sDirectorySetting argument is one of the following values:

1 - for SETTINGS

2 - for TASK

3 - for SCRIPT

4 - for MEMO

5 - for KEYMAP

6 - for COLORMAP

7 - for WINDOWS

8 - for WINSYS

9 - for DYNASYS

10 - for TRACEPATH

12 - for ICONPATH

13 - for KEYMAPPATH

14 - for DNLOAD

15 - for MAPS

16 - for UPLOAD

Keyword/value DynaComm Directories Default Path

COLORMAP Attributes Map directory …\MAPS

DNLOAD Download directory …\DNLOAD

DYNASYS Executables/DLLs directory C:\Program Files\Futuresoft\ DCSERIES\

ICONPATH Icon files directory C:\Program Files\Futuresoft\ DCSERIES\

KEYMAP Key Map directory …\MAPS

KEYMAPPATH Key Map directory …\MAPS

MAPS Key/Color Map directory …\MAPS

MEMO Memo directory …\MEMOS

SCRIPT Script-text directory …\SCRIPTS

SETTINGS Settings directory …\SESSION

TASK Compiled script directory …\SCRIPTS

TRACEPATH Trace files directory …\Trace

UPLOAD Upload directory …\UPLOAD

Keyword/value Windows Directories Default Name

WINDOWS Main directory C:\WINDOWS\

WINSYS System directory C:\Windows\SYSTEM or C:\WINNT\System32

*the default path for WIN95/98 users on all directories begins with
C:\PROGRAM FILES\FUTURESOFT\DCSERIES\…

*the default path for WIN/NT users on all directories (except DYNASYSE and ICONPATH) begins with C:\WINNT\PROFILES\username\PERSONAL\…

Result

The result is a string value containing the current working directory for the type of file.

Comments

The default working directory for a file type is originally specified in DynaComm's initialization file, Windows' initialization file, or the Windows registry. Each time DynaComm executes a GETDIRECTORY command, or when you access a file through one of DynaComm's dialog boxes, DynaComm changes the default directory for a file type to the active directory.

The comment above does not apply to the directories found with the DYNASYS, WINDOWS, and WINSYS keywords. You cannot change these paths with the SETDIRECTORY command or change them as a result of a selection that you make in a dialog box.

DynaComm scripting language equivalent: Directory ()


GetDisplayConfig

BSTR GetDisplayConfig(BSTR pAttribute, long lWindowHandle)

The GETDISPLAYCONFIG function returns a string identifying the current state of a Display tab setting for the specified session window.

Arguments

pAttribute

The pAttribute string argument must be a key string which is valid for the CONFIGUREDISPLAY command. The GETGENERALCONFIG function will return a string representing the current state of that setting.

See the CONFIGUREDISPLAY command for a list of key strings.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Result

The GETDISPLAYCONFIG function will return a string representing the current state of the setting specified by the KeyString.

Comments

This returns a null string if an error occurred.

DynaComm scripting language equivalent: Getdisplayconfig ()


GetEmulationConfig

BSTR GetEmulationConfig(BSTR pAttribute, long lWindowHandle)

The GETEMULATIONCONFIG function returns a string identifying the current state of an emulation setting for the specified session window.

Arguments

pAttribute

The pAttribute string argument must be a key string recognized by the emulation. The GETEMULCONFIG function will return a string representing the current state of that setting.

See the CONFIGUREEMULATION command for a list of key strings.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Result

The GETEMULCONFIG function returns a string identifying the current state of an emulation setting. For example, GETEMULCONFIG("Columns") might return either the string 80 or the string 132.

Comments

This returns a null string if an error occurred.

DynaComm scripting language equivalent: Getemulconfig ()


GetEmulationTerminalKeysList

short GetEmulationTerminalKeysList(varKeysList, long lWindowHandle)

The GETEMULATIONTERMINALKEYSLIST function returns a string array of the valid terminal keys (META keys) for the emulation of the session defined by the specified WindowHandle.

Arguments

varKeysList

This argument identifies the string array into which to return the terminal key list.

lWindowHandle

This integer argument specifies a session window in DynaComm from which to retrieve the terminal key list.

Comments

The DCSError property will be set to TRUE if the lWindowHandle argument is not valid.

DynaComm scripting language equivalent: no equivalent


GetGeneralConfig

BSTR GetGeneralConfig(BSTR pAttribute, long lWindowHandle)

The GETGENERALCONFIG function returns a string identifying the current state of a General tab setting for the specified session window.

Arguments

pAttribute

The pAttribute string argument must be a key string which is valid for the CONFIGUREGENERAL command. The GETGENERALCONFIG function will return a string representing the current state of that setting.

See the CONFIGUREGENERAL command for a list of key strings.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Result

The GETGENERALCONFIG function will return a string representing the current state of the setting specified by the KeyString. For example, GENERALCONFIG("DisplayErrorInformation") returns a string value of either TRUE or FALSE.

Comments

This returns a null string if an error occurred.

DynaComm scripting language equivalent: Getgeneralconfig ()


GetIdentity

BSTR GetIdentity(short sObjectType, long lWindowHandle)

The GETIDENTITY function returns the values of the session's currently selected Connector, Emulation, or File Transfer,.

Arguments

sObjectType

The sObjectType argument specifies type of information to be returned.

0 - for EMULATION

1 - for CONNECTOR

2 - for FILE TRANSFER

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Result

The result is a string value, specifying the module setting depending on the sObjectType argument.

Comments

This returns a null string if an error occurred.

DynaComm scripting language equivalent: no equivalent


GetScreenHeight

short GetScreenHeight(long lWindowHandle)

The GETSCREENHEIGHT function returns an integer indicating the number of screen rows in the emulation of the specified session window.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm for which to retrieve the screen height.

Comments

The DCSError property will be set to TRUE if the lWindowHandle argument is not valid.

DynaComm scripting language equivalent: no equivalent


GetScreenWidth

short GetScreenWidth(long lWindowHandle)

The GETSCREENWIDTH function returns an integer indicating the number of screen columns in the emulation of the specified session window.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm for which to retrieve the screen width.

Comments

The DCSError property will be set to TRUE if the lWindowHandle argument is not valid.

DynaComm scripting language equivalent: no equivalent


GetTransferConfig

BSTR GetTransferConfig(BSTR pAttribute, long lWindowHandle)

The GETTRANSFERCONFIG function returns a string identifying the current state of a file transfer protocol setting.

Arguments

pAttribute

The pAttribute string argument must be a key string recognized by the file transfer protocol. The GETTRANSFERCONFIG function returns a string representing the current state of that setting.

See the CONFIGURETRANSFER command for a list of key strings.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Result

The GETTRANSFERCONFIG function returns a string identifying the current state of a file transfer protocol setting. For example, GETTRANSFERCONFIG("BlockSize") might return either the string 256 or the string Auto.

Comments

This returns a null string if an error occurred.

DynaComm scripting language equivalent: Getxferconfig ()


GetWindowTitle

BSTR GetWindowTitle(long lWindowHandle)

The GETWINDOWTITLE function returns the title of the window specified by the lWindowHandle argument.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Result

The result is a string, which is the name of the window. The window name is the fully qualified path name of session, script or memo files, and null in the case of an untitled window.

Comments

This command returns a null ("") string if an error occurs.

DynaComm scripting language equivalent: Windowname(), Wndtitle ()


HandleList

BSTR HandleList(short sStartingPosition)

The HANDLELIST function returns a string containing the window handles of all open child windows.

Arguments

sStartingPosition

The sStartingPosition argument is an integer expression specifying the number of window handles to return, where the most recently activated window is specified by the integer one, the two most recently activated windows are specified by the integer two, and so on.

A value of -1 in the sStartingPosition argument returns a string of all child window handles.

A value of zero in the sStartingPosition argument returns a string of the application window handle if child window is open in DynaComm. If no child window is open, a value of zero returns a null string.

Comments

The result is a string composed of the handles of DynaComm child windows. The first handle is the most recently activated window, followed by the next most recently activated, and so on. The string is a hexadecimal representation of a Window handle and has the generalized form of 0x****, where an asterisk is a character from the set (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, A, B, C, D, E, F). Each window's handle, except for the last handle in the resulting string, will be followed by a comma.

Because the value returned is a string, you must convert the string to a numeric representation if you wish to use the result as a numeric value with other functions or commands.

If a child window is hidden by the WindowSetState command using the HIDE value, its handle is not available via this function.

DynaComm scripting language equivalent: Hwndlist ()


IsChildWindow

boolean IsChildWindow(long lWindowHandle)

The ISCHILDWINDOW function indicates whether a particular window is a child of the main DynaComm window.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will return the status of the active window.

Comments

The result is a Boolean value, where TRUE indicates that the specified window is a child window of the main DynaComm window, and FALSE indicates that it is not. The DCSError property will be set to TRUE if the lWindowHandle argument is not valid.

DynaComm scripting language equivalent: Window ()


IsConnected

boolean IsConnected(long lWindowHandle)

The ISCONNECTED function indicates whether a session is connected.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will return the status of the active session window.

Comments

The result is a Boolean value, where TRUE indicates that a connection is active and FALSE indicates that the connection is not active. The DCSError property will be set to TRUE if the lWindowHandle argument is not valid.

DynaComm scripting language equivalent: Connect ()


IsIconic

boolean IsIconic(long lWindowHandle)

The ISICONIC function indicates whether a child window is minimized.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will return the status of the active session window.

Comments

The result is a Boolean value, where TRUE indicates the window is minimized, and FALSE indicates that the window is not minimized. The DCSError property will be set to TRUE if the lWindowHandle argument is not valid.

This function can apply to child windows as well as the DynaComm application window.

DynaComm scripting language equivalent: Iconic ()


IsMenuChecked

boolean IsMenuChecked(short sPopupNumber, short sItemNumber)

The ISMENUCHECKED function indicates whether the specified menu item is checked or unchecked.

Arguments

sPopupNumber

The sPopupNumber argument is an integer specifying a pop-up menu, where the application control menu is specified by the integer zero and the File menu is specified by the integer one.

sItemNumber

The sItemNumber argument is an integer specifying an item in the menu specified by the Pop-up argument. The first item is specified by the integer one and both items and separators are counted. For example, the last item in a menu containing ten items and two separators is specified by the integer 12.

Comments

The result is a Boolean value, where TRUE indicates that the item is checked and FALSE indicates that the item is unchecked. The DCSError property will be set to TRUE if the lWindowHandle argument is not valid.

DynaComm scripting language equivalent: (Menu) Checked ()


IsMenuEnabled

boolean IsMenuEnabled(short sPopupNumber, short sItemNumber)

The ISMENUENABLED function indicates whether the specified menu item is enabled or disabled.

Arguments

sPopupNumber

The sPopupNumber argument is an integer specifying a pop-up menu, where the application control menu is specified by the integer zero and the File menu is specified by the integer one.

sItemNumber

The sItemNumber argument is an integer specifying an item in the menu specified by the Pop-up argument. The first item is specified by the integer one and both items and separators are counted. For example, the last item in a menu containing ten items and two separators is specified by the integer 12.

Comments

The result is a Boolean value, where TRUE indicates that the item is enabled and FALSE indicates that the item is disabled (or grayed). The DCSError property will be set to TRUE if the lWindowHandle argument is not valid.

DynaComm scripting language equivalent: (Menu) Enabled ()


IsSystemReady

boolean IsSystemReady(long lInterval, long lWindowHandle)

The ISSYSTEMREADY function determines if the host system is ready for input.

Arguments

lInterval

This integer argument identifies the length of time, in milliseconds, the host system must have been in a ready state.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will return the status of the active window.

Comments

The definition of host as "ready for input" is defined as 1) no data has been transferred to or from the host for the specified number of milliseconds, AND 2) the keyboard is unlocked. This function returns the state of whether the host is ready for input at the time of the call; it does not wait for any time period.

The result is a Boolean value, where TRUE indicates that the specified Host is ready for input, and FALSE indicates that it is not. The DCSError property will be set to TRUE if the lWindowHandle argument is not valid.

This function is primarily used with block mode emulations such as IBM3270 and Tandem 6530.

DynaComm scripting language equivalent: ??


IsWindowVisible

boolean IsWindowVisible(long lWindowHandle)

The ISWINDOWVISIBLE function indicates whether a particular window is visible.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will return the status of the active session window.

Comments

The result is a Boolean value where TRUE indicates the window is visible, and FALSE indicates the window is hidden. The DCSError property will be set to TRUE if the lWindowHandle argument is not valid.

A window is always considered visible, even if completely obscured by other windows, unless hidden by the WindowSetState command using the HIDE value.

DynaComm scripting language equivalent: Visible ()


IsZoomed

boolean IsZoomed(long lWindowHandle)

The ISZOOMED function indicates whether a particular window is maximized.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will return the status of the active session window.

Comments

The result is a Boolean value, where TRUE indicates that the specified window is maximized, and FALSE indicates that it is not. The DCSError property will be set to TRUE if the lWindowHandle argument is not valid.

DynaComm scripting language equivalent: Zoomed ()


RetrieveScreen

BSTR RetrieveScreen(short sRow, short sColumn, short sLength, long lWindowHandle)

The RETRIEVESCREEN function retrieves a line or portion of a line of data at the specified position in a session window.

Arguments

sRow

The sRow argument is an integer specifying the row number of the desired data. The first row is considered row zero.

sColumn

The sColumn argument is an integer specifying the column number of the desired data. The first column is considered column zero.

sLength

The sLength argument is a numeric specifying the length (in characters) of the desired data. If the sLength argument exceeds the length of the line, the remainder of the line is collected.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Result

The result is a string value containing the window data within the specified area.

Comments

A null (‘’) string will be returned if an error occurred.

DynaComm scripting language equivalent: Screen ()


Search

Short Search(short sMode, BSTR pSearchString, short sRow, short sColumn, short sSearchLength, short sLastRow, short sLastColumn, long lWindowHandle)

The SEARCH function returns the absolute position of the first character of the specified string in the specified session window or within a specified rectangular screen area. This function is case-sensitive.

Arguments

sMode

The integer sMode argument specifies the search type to be performed.

0 - for LINEAR

1 - for RECTANGULAR

pSearchString

The pSearchString argument specifies the string value for which DynaComm will perform a case-sensitive search.

sRow, sColumn, sLastRow, sLastColumn

LINEAR MODE

The sRow argument is an integer specifying the row offset for the starting position from which the search will be performed. The first row is considered row zero.

The sColumn argument is an integer specifying the column offset for the starting position. The first column is column zero.

The sLastRow argument is not used in the LINEAR MODE search and should be set to zero (0).

The sLastColumn argument is not used in the LINEAR MODE search and should be set to zero (0).

RECTANGULAR MODE

The sRow, BottomRow, LeftCol, and RightCol arguments are integers that define a region of the session screen, where 0,0 is the upper left character position of the screen, and where the lower right character position of the screen is specified by the maximum number of rows and columns for the emulation.

sSearchLength

LINEAR

The optional sSearchLength argument is an integer specifying the number of characters in the window to be included in the search. If the sSearchLength argument is not included, all remaining characters in the window are examined.

RECTANGULAR

The sSearchLength argument is not used in the RECTANGULAR MODE search and should be set to zero (0).

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Result

In both search modes the result is an integer value that is calculated using the following formula:

(row * column width) + column

The first row is row zero and the first column is column zero. If the string is not found or if the string is only partially in the area (RECTANGULAR MODE), the result is -1.

Comments

The DCSError property will be set to TRUE if an error occurred.

DynaComm scripting language equivalent: Search ()


SystemSettings

BSTR SystemSettings()

The SYSTEMSETTINGS function returns the current system parameters.

Arguments

This function requires no arguments.

Comments

The result is a string value in the following format:

HorizontalDisplayResolution,VerticalDisplayResolution;

TotalDiskSpace,FreeDiskSpace;GlobalFreeMemory,

LocalFreeMemory,[WindowsMajorVersion][ProductCode]

This function will return a null ("") sting if an error occurs.

DynaComm scripting language equivalent: Sysmetrics ()


WhenCollect

short WhenCollect(short nIndex, BSTR pOnStr, BSTR pOffStr, BSTR pFromStr, BSTR pToStr, BSTR pWaitExclude, short nQuiet, short nLimit, boolean bSAVECR, boolean bNOTTERMINAL, long lWindowHandle)

The WHENCOLLECT command directs DynaComm to return a maximum of 254 incoming characters from a session window into a string variable until DynaComm receives one of the stop collecting conditions.

Arguments

nIndex

The nIndex argument is an integer (from 0 to 63) and is the identifier for the WhenCollect command. This argument allows DynaComm to have a maximum of 64 WhenCollect commands active at the same time. A WhenCollect command will replace any previous WhenCollect command that has the same Index argument.

pOnStr

The pOnStr string argument directs DynaComm to start collecting characters when the text in the pOnStr is received. The collected data does not include the pOnStr text. This argument is set to a null string if not specified.

pOffStr

The pOffStr string argument directs DynaComm to stop collecting characters when the text in the pOffStr is received. The collected data does not include the pOffStr text. This argument is set to a null string if not specified.

pFromStr

The pFromStr string argument directs DynaComm to start collecting characters when the text in the pFromStr is received. The collected data includes the pFromStr text. This argument is set to a null string if not specified.

pToStr

The pToStr string argument directs DynaComm to stop collecting characters when the text in the pToStr is received. The collected data includes the pToStr text. This argument is set to a null string if not specified.

pExcludeStr

The pExcludeStr string directs DynaComm to exclude any characters contained in the pExcludeStr argument from the characters it collects. DynaComm continues to collect and exclude characters until it encounters the pOffStr or pToStr argument text or the nQuiet time is reached. This argument is set to a null string if not specified.

nLimit

The nLimit integer argument directs DynaComm to stop collecting characters after it has received a number of characters equal to the integer in the nLimit argument. The nLimit, nQuiet, pOffStr and pToStr arguments can work together (DynaComm stops collecting characters when any condition is met). Set to a minus one (-1) if not specified.

nQuiet

The nQuiet integer argument directs DynaComm to stop collecting characters after no characters are received for the nQuiet number of seconds. The nQuiet, pOffStr and pToStr arguments can work together (DynaComm stops collecting characters when any condition is met). Set to a minus one (-1) if not specified.

bSAVECR

The bSAVECR argument directs DynaComm to store carriage returns in the collection string based on the Boolean value of the bSAVECR argument. If bSAVECR is TRUE, DynaComm will saved as part of the collected data. If bSAVECR is FALSE, DynaComm will not save any carriage returns as part of the collected data.

bNOTERMINAL

The bNOTTERMINAL argument if set to TRUE, directs DynaComm not to pass the collected characters to the terminal emulation for processing. As the characters are not passed to the terminal emulation, they are also not displayed in the session window. If set to FALSE, the collected characters are passes to the terminal emulation for processing. The default is FALSE.

Note: The bNOTTERMINAL set to TRUE should be used only in cases where the input to the WHENCOLLECT command is known. Otherwise, important terminal commands might be lost.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

When DynaComm triggers the WhenCollect event it passes the collected string to the corresponding void WhenCollect(short nIndex, boolean bTimeout, BSTR pCollectBuffer, long lWindowHandle) subroutine for processing.

DynaComm scripting language equivalent: When Collect


WindowFind

long WindowFind(BSTR pWindowName)

The WINDOWFIND function returns the handle of the window whose title is specified by the pWindowName argument.

Arguments

pWindowName

The pWindowName argument is a string expression specifying a particular window title. This is the title as displayed in the window title bar, to which DynaComm has appended the window type extension. This argument can be specified with or without the file type extension (.ses, .dct, .dcm).

Comments

The result is an integer, which is the window handle of the window or zero (0) if the pWindowName argument is not valid.

If there are multiple windows open with the same name, the window handle of the first window found will be returned. If there are windows open with the same name but of a different type (i.e. bbs.ses and bbs.dcm), the window handle of the first window found will be returned unless the argument was provided with a file type extension.

DCS adds the file type extension to the window title whether the contents of the window has been saved to a file.

DynaComm scripting language equivalent: Windowhnd ()


WindowGetActive

long WindowGetActive()

The WINDOWGETACTIVE function returns the window handle number of the active DynaComm child window.

Arguments

This function requires no arguments.

Result

The result is an integer expression specifying the handle of the active DynaComm child window. If no child window is open, the result is zero.

Comments

DynaComm scripting language equivalent: Active ()


WindowPosition

BSTR WindowPosition(boolean bFrameCoordinates, long lWindowHandle)

The WINDOWPOSITION function returns a string containing the position and dimensions of the window specified by WindowHandle argument.

Arguments

bFrameCoordinates

The bFrameCoordinates argument set to FALSE will cause the function to return the position of the window frame, and set to TRUE will return the position of the window's client area.

lWindowHandle

This integer argument specifies a session window in DynaComm. The handle of the DynaComm application window is specified by a WindowHandle value of zero.

Comments

The result is a string value listing the coordinate position and dimensions of the specified window, in the form:

x,y,w,h

where (x,y) are the coordinates of the top left corner of the specified window, (w) is the window's width, and (h) is the window's height. If the lWindowHandle argument is not valid, the result is a null string.

DynaComm scripting language equivalent: Position ()


WindowType

Short WindowType(long lWindowHandle)

The WINDOWTYPE function returns the DynaComm window type of a specified window.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm.

Comments

The result is an integer value that corresponds to the window type.

Value Window Type

0 DynaComm main window

1 Session window

3 Script window

4 Memo window

The DCSError property will be set to TRUE if the lWindowHandle argument is not valid.

DynaComm scripting language equivalent: WndClass ()


WaitCollect (Command)

Short WaitCollect(BSTR pWaitUntil, BSTR pWaitExclude, long lStringLength, boolean bSAVECR, boolean bNOTERMINAL, long lWindowHandle)

The WAITCOLLECT command directs DynaComm to return a maximum of 254 incoming characters from a session window into a string variable until DynaComm receives a carriage return or line feed.

Arguments

pWaitUntil

The pWaitUntil string directs DynaComm to stop collecting characters if it receives the text contained in the pWaitUntil string argument prior to receiving a carriage return character (^M or hexadecimal 0x0D) or a line feed character (^J or hexadecimal 0x0A). Set to a null string if not used.

pWaitExclude

The pWaitExclude string directs DynaComm to exclude any characters contained in the pWaitExclude argument from the characters it collects. DynaComm continues to collect and exclude characters until it encounters a line feed, carriage return, or the text in the pWaitUntil argument. Set to a null string if not used.

lStringLength

The lStringLength argument directs DynaComm to stop collecting characters after it has received a number of characters equal to the integer in the lStringLength argument. The lStringLength and pWaitUntilarguments can work together (DynaComm stops collecting characters when either condition is met). Set to a minus one (-1) if not used.

bSAVECR

The bSAVECR argument directs DynaComm to store carriage returns in the collection string based on the Boolean value of the bSAVECR argument. If bSAVECR is TRUE, DynaComm will continue collecting text when it receives a carriage return. If bSAVECR is FALSE, DynaComm will stop collecting text when it receives a carriage return.

bNOTERMINAL

The bNOTERMINAL argument if set to TRUE, directs DynaComm not to pass the collected characters to the terminal emulation for processing. As the characters are not passed to the terminal emulation, they are also not displayed in the session window. If set to FALSE, the collected characters are passes to the terminal emulation for processing.

Note: The bNOTERMINAL set to TRUE should be used only in cases where the input to the COLLECT command is known. Otherwise, important terminal commands might be lost.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

When DynaComm triggers the WaitCollect event it passes the collected string to the corresponding void WhenEcho(BSTR* pRcvChar, long lWindowHandle) subroutine for processing.

DynaComm scripting language equivalent: Collect


WhenDisconnect (Event)

Short WhenDisconnect(long lWindowHandle)

The WHENDISCONNECT event set up command directs DynaComm to trigger an event when the communications connection is terminated for the specified session window.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

When DynaComm triggers the disconnect event it passes the WindowHandle of the disconnected session to the corresponding void WhenDisconnect(long lWindowHandle) subroutine for processing.

DynaComm scripting language equivalent: When Disconnect


WhenEcho (Command)

Short WhenEcho(long lWindowHandle)

The WHENECHO command directs DynaComm to trigger an event when DynaComm receives a character through the communications port for the specified session window.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

When DynaComm triggers the echo event it passes the received character to the corresponding void WhenEcho(BSTR* pRcvChar, long lWindowHandle) subroutine for processing.

DynaComm scripting language equivalent: When Echo


WhenInput (Command)

Short WhenInput(long lWindowHandle)

The WHENINPUT command directs DynaComm to trigger an event when a character generated by pressing a key combination is sent out the communications port for the specified session window.

Arguments

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

When DynaComm triggers the input event it passes the generated key stroke to the corresponding void WhenInput(BSTR* pKeyChar, long lWindowHandle) subroutine for processing.

DynaComm scripting language equivalent: When Input


WhenQuiet (Command)

Short WhenQuiet(BSTR pTimer, long lWindowHandle)

The WHENQUIET command directs DynaComm to trigger and event when DynaComm has not received a character within the specified amount of time for the specified session window.

Arguments

pTimer

The pTimer argument is a string in the following format:

Hours:Minutes:Seconds

Hours and minutes are optional, but if hours are specified, minutes must also be specified.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

When DynaComm triggers the quiet event it passes the WindowHandle of the session to the corresponding void WhenQuiet(long lWindowHandle) subroutine for processing.

DynaComm scripting language equivalent: When Quiet


WhenScreen (Command)

Short WhenScreen(short sIndex, short sRow, short sCol, short sWid, short sLns, long lWindowHandle)

The WHENSCREEN command directs DynaComm to trigger an event when the specified region has been modified, and the cursor moves out of the modified region for the specified session window.

Arguments

sIndex

The sIndex argument is a numeric (from 0 to 23) specifying the command identifier. It allows multiple WhenScreen commands to be active at the same time. A maximum of 24 WhenScreen commands may exist at one time.

sRow, sCol, sWid, sLns

The sRow, sCol, sWid, and sLns arguments are integers specifying the top line, left column, column width, and number of lines, respectively, of the region of the terminal screen to be monitored. The first row is considered row zero. The first column is considered column zero. The maximum width is 80 columns. The maximum number of lines is 24.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

When DynaComm triggers the screen event it passes the index identifying which WhenScreen command to the corresponding void WhenScreen(short sIndex, long lWindowHandle) subroutine for processing.

DynaComm scripting language equivalent: When Screen


WhenString (Command)

Short WhenString(short sIndex, BSTR pEventString, long lWindowHandle)

The WHENSTRING command directs DynaComm to trigger an event when the specified string enters the communications port of the specified session window.

Arguments

sIndex

The sIndex argument is an integer (from 0 to 63) and is the identifier for the WhenString command. This argument allows DynaComm to have a maximum of 64 WhenString commands active at the same time. A WhenString command will replace any previous WhenString command that has the same Index argument.

pEventString

The pEventString argument specifies a string to trigger the event.

lWindowHandle

This integer argument specifies a session window in DynaComm. If the lWindowHandle argument is zero (0), DynaComm will use the active session window.

Comments

This command returns zero (0) if successful and one (1) if an error occurred.

When DynaComm triggers the string event it passes the index identifying which WhenString command to the corresponding void WhenString(short sIndex, long lWindowHandle) subroutine for processing.

DynaComm scripting language equivalent: When String


DCSTerminated (Subroutine)

void DCSTerminated()

The DCSTERMINATED subroutine is where DynaComm returns when the DynaComm application is shutdown for any reason. It is up to the user to perform the appropriate action when the event occurs.

Arguments

This subroutine requires no arguments.


MenuItem

MenuItem (Subroutine)

void MenuItem(short sIndex, long lWindowHandle)

The MENUITEM subroutine is where DynaComm returns the Identifier for which User defined menu item was selected by the user. It is up to the user to perform the appropriate action for the selected menu item.

Arguments

sIndex

The sIndex argument is a numeric identifying which menu item the user selected.

lWindowHandle

This integer argument identifies the particular session window in DynaComm that was active when the menu item was selected.

Comments

There is no DynaComm scripting language equivalent for event processing subroutines.


WaitCollect (Subroutine)

void WaitCollect(BSTR* pCollectString, long lWindowHandle)

The WAITCOLLECT subroutine specifies where DynaComm returns the data from a WaitCollect command. The data, stored as a string, can then be acted upon.

Arguments

pCollectString

The pCollectString string contains the data returned from the WaitCollect command. It may be specified as a null string.

lWindowHandle

This integer argument specifies the session window from which the data was collected.

Comments

There is no DynaComm scripting language equivalent for event processing subroutines.


WhenCollect (Subroutine)

Void WhenCollect(short nIndex, boolean bTimeout, BSTR pCollectBuffer, long lWindowHandle)

The WhenCollect subroutine specifies where DynaComm returns the data from a WhenCollect command. The data, stored as a string, can then be acted upon.

Arguments

nIndex

The nIndex argument is an integer specifying which WhenCollect Command was triggered.

bTimeout

The bTimeout argument is a Boolean value indicating whether the WhenCollect command has timed out before collecting the specified data.

pCollectBuffer

The pCollectBuffer argument is the string of data collected by the WhenCollect command. It may be a null string.

lWindowHandle

This integer argument specifies the session window from which the data was collected.

Comments

There is no DynaComm scripting language equivalent for event processing subroutines.


WhenDisconnect (Subroutine)

void WhenDisconnect(long lWindowHandle)

The WhenDisconnect subroutine is where DynaComm returns the identifier of the session that disconnected. It is up to the user to perform the appropriate action with the returned data.

Arguments

lWindowHandle

This integer argument identifies the particular session window in DynaComm that the disconnect occurred.

Comments

There is no DynaComm scripting language equivalent for event processing subroutines.


WhenEcho (Subroutine)

void WhenEcho(BSTR* pRcvChar, long lWindowHandle)

The WHENECHO subroutine is where DynaComm returns the data from a WhenEcho command. It is up to the user to perform the appropriate action with the returned data.

Arguments

pRcvChar

The pRcvChar received from the WhenEcho Command.

lWindowHandle

This integer argument identifies the particular session window in DynaComm that the received character came from.

Comments

There is no DynaComm scripting language equivalent for event processing subroutines.


WhenInput (Subroutine)

void WhenInput(BSTR* pKeyChar, long lWindowHandle)

The WHENINPUT subroutine is where DynaComm returns the data from a WhenInput command. It is up to the user to perform the appropriate action with the returned data.

Arguments

pKeyChar

The pKeyChar key stroke character received from the WhenInput Command.

lWindowHandle

This integer argument identifies the particular session window in DynaComm that the key stroke character came from.

Comments

There is no DynaComm scripting language equivalent for event processing subroutines.


WhenQuiet (Subroutine)

void WhenQuiet(long lWindowHandle)

The WHENQUIET subroutine is where DynaComm returns the identifier of the session that did not have input for the specified time. It is up to the user to perform the appropriate action with the returned data.

Arguments

lWindowHandle

This integer argument identifies the particular session window in DynaComm that the time expired occurred.

Comments

There is no DynaComm scripting language equivalent for event processing subroutines.


WhenScreen (Subroutine)

void WhenScreen(short sIndex, long lWindowHandle)

The WHENSCREEN subroutine is where DynaComm returns the data from a WhenScreen command. It is up to the user to perform the appropriate action with the returned data.

Arguments

sIndex

The sIndex argument is a numeric identifying which WhenScreen Command was triggered.

lWindowHandle

This integer argument identifies the particular session window in DynaComm that the screen change came from.

Comments

There is no DynaComm scripting language equivalent for event processing subroutines.


WhenString (Subroutine)

void WhenString(short sIndex, long lWindowHandle)

The WHENSTRING subroutine is where DynaComm returns the data from a WhenString command. It is up to the user to perform the appropriate action with the returned data.

Arguments

sIndex

The sIndex argument is a numeric identifying which WhenString Command was triggered.

lWindowHandle

This integer argument identifies the particular session window in DynaComm that the string came from.

Comments

There is no DynaComm scripting language equivalent for event processing subroutines.